"use strict";
/* jshint ignore:start */

/* jshint ignore:end */

define('sacekaj-me/app', ['exports', 'ember', 'ember/resolver', 'ember/load-initializers', 'sacekaj-me/config/environment'], function (exports, Ember, Resolver, loadInitializers, config) {

  'use strict';

  var App;

  Ember['default'].MODEL_FACTORY_INJECTIONS = true;

  App = Ember['default'].Application.extend({
    modulePrefix: config['default'].modulePrefix,
    podModulePrefix: config['default'].podModulePrefix,
    Resolver: Resolver['default']
  });

  loadInitializers['default'](App, config['default'].modulePrefix);

  exports['default'] = App;

});
define('sacekaj-me/components/accordion-wrapper', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    settings: Ember['default'].inject.service(),
    actions: {
      toggle: function toggle(selector) {
        this.$("#" + selector).toggleClass("active");
      },
      language_constraint_item_selected: function language_constraint_item_selected(selected_item) {
        if (selected_item == -1) {
          return;
        }
        var self = this;
        this.get('model.constraint').forEach(function (val) {
          if (selected_item === val.id) {
            self.set('model.value', val);
            self.get('settings').change_value('language', val);
            return;
          }
        });
      },
      location_constraint_item_selected: function location_constraint_item_selected(selected_item) {
        if (selected_item == -1) {
          return;
        }
        var self = this;
        var splt_ident = selected_item.split('.');
        this.get('model.constraint').forEach(function (val) {
          var value = val;
          if (splt_ident[0] === val.country.id) {
            val.districts.forEach(function (dist) {
              if (splt_ident[1] === dist.id) {
                var val = {
                  id: selected_item,
                  country: value.country.label,
                  district: splt_ident[1]
                };
                self.set('model.value', val);
                self.get('settings').change_value('location', val);
              }
            });
          }
        });
      }
    }
  });

});
define('sacekaj-me/components/address-item', ['exports', 'ember', 'sacekaj-me/models/customer'], function (exports, Ember, Customer) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    actions: {
      remove_item: function remove_item() {
        var current_model = this.get('model');
        Customer['default'].current_customer.addresses.removeObject(this.get('model'));
        this.set('model', null);
      },
      edit_item: function edit_item() {
        console.log('Edit item');
      }
    }
  });

});
define('sacekaj-me/components/app-version', ['exports', 'ember-cli-app-version/components/app-version', 'sacekaj-me/config/environment'], function (exports, AppVersionComponent, config) {

  'use strict';

  var _config$APP = config['default'].APP;
  var name = _config$APP.name;
  var version = _config$APP.version;

  exports['default'] = AppVersionComponent['default'].extend({
    version: version,
    name: name
  });

});
define('sacekaj-me/components/bid-item', ['exports', 'ember', 'ember-i18n'], function (exports, Ember, ember_i18n) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    i18n: Ember['default'].inject.service(),
    classNames: ['panel'],
    classNameBindings: ['model.item_state'],
    actions: {
      bid_selected: function bid_selected() {
        var self = this;
        if (this.get('model.booking.lock')) {
          return false;
        }
        var message = this.get('i18n').t('schedule.order.confirm').string + "<br/>" + this.get('model.provider') + " - " + this.get('model.estimated_pickup_time') + this.get('i18n').t('schedule.minutes').string;

        alertify.confirm(this.get('i18n').t('common.attention').string, message, function () {
          self.get('model').send();
        }, function () {
          return;
        }).setting({
          'frameless': false,
          'closable': false,
          'transition': 'zoom',
          'labels': { ok: this.get('i18n').t('common.yes').string, cancel: this.get('i18n').t('common.no').string }
        });
        //return false;
      }
    }
  });

});
define('sacekaj-me/components/date-picker', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    target_value: '',
    didInsertElement: function didInsertElement() {
      var self = this;
      this.$("#dp").fdatepicker({
        format: 'dd.mm.yyyy hh:ii',
        disableDblClickSelection: true,
        pickTime: true
      }).on('changeDate', function (ev) {
        console.log(ev.date.valueOf());
        self.set('target_value', ev.date.valueOf());
      }).data('datepicker');
    }
  });

});
define('sacekaj-me/components/draggable-object-target', ['exports', 'ember-drag-drop/components/draggable-object-target'], function (exports, DraggableObjectTarget) {

	'use strict';

	exports['default'] = DraggableObjectTarget['default'];

});
define('sacekaj-me/components/draggable-object', ['exports', 'ember-drag-drop/components/draggable-object'], function (exports, DraggableObject) {

	'use strict';

	exports['default'] = DraggableObject['default'];

});
define('sacekaj-me/components/language-select', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    i18n: Ember['default'].inject.service(),
    classNames: ['language-select'],

    locales: Ember['default'].computed('i18n.locale', 'i18n.locales', function () {
      var i18n = this.get('i18n');
      return this.get('i18n.locales').map(function (loc) {
        return { id: loc, text: i18n.t('language-select.language.' + loc) };
      });
    }),

    actions: {
      setLocale: function setLocale() {
        this.set('i18n.locale', this.$('select').val());
      }
    }
  });

});
define('sacekaj-me/components/object-bin', ['exports', 'ember-drag-drop/components/object-bin'], function (exports, ObjectBin) {

	'use strict';

	exports['default'] = ObjectBin['default'];

});
define('sacekaj-me/components/radio-button', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    tagName: 'input',
    type: 'radio',
    attributeBindings: ['type', 'htmlChecked:checked', 'value', 'name', 'disabled'],

    value: null,
    checked: null,

    htmlChecked: Ember['default'].computed('value', 'checked', function () {
      return this.get('value') === this.get('checked');
    }),

    change: function change() {
      this.set('checked', this.get('value'));
    },

    _setCheckedProp: function _setCheckedProp() {
      if (!this.$()) {
        return;
      }
      this.$().prop('checked', this.get('htmlChecked'));
    },

    _updateElementValue: Ember['default'].observer('htmlChecked', function () {
      Ember['default'].run.once(this, '_setCheckedProp');
    })
  });

});
define('sacekaj-me/components/searchable-select-option', ['exports', 'ember-searchable-select/components/searchable-select-option'], function (exports, searchable_select_option) {

	'use strict';



	exports['default'] = searchable_select_option['default'];

});
define('sacekaj-me/components/searchable-select', ['exports', 'ember-searchable-select/components/searchable-select'], function (exports, searchable_select) {

	'use strict';



	exports['default'] = searchable_select['default'];

});
define('sacekaj-me/components/settings-item', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Component.extend({});

});
define('sacekaj-me/components/sortable-objects', ['exports', 'ember-drag-drop/components/sortable-objects'], function (exports, SortableObjects) {

	'use strict';

	exports['default'] = SortableObjects['default'];

});
define('sacekaj-me/controllers/application', ['exports', 'ember', 'sacekaj-me/models/customer', 'sacekaj-me/models/booking'], function (exports, Ember, Customer, Booking) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({

    JWT: null,
    is_user_logged: false,
    logged_user: null,
    preffered_provider: [],
    test: (function () {
      console.log('Korisnik je promijenjen');
    }).property('logged_user'),
    actions: {
      logoff: function logoff() {
        //User.logoff();
        if (Booking['default'].current_booking) {
          var communicator = Booking['default'].current_booking.get('communicator');
          Booking['default'].current_booking = null;
          communicator.close();
        }
        this.set('is_user_logged', false);
        this.controllerFor("application").set('is_user_logged', false);
        Customer['default'].current_customer = {};
        var login_page = location.origin;
        localStorage.setItem("credentials", null);
        window.location.assign('index.html');
      },
      push: function push() {
        console.log(Customer['default'].current_customer);
        this.set('logged_user', Customer['default'].current_customer);
      }
    }

  });

});
define('sacekaj-me/controllers/array', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Controller;

});
define('sacekaj-me/controllers/login', ['exports', 'ember', 'sacekaj-me/models/customer', 'sacekaj-me/models/user', 'ember-i18n'], function (exports, Ember, Customer, User, ember_i18n) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    fb: Ember['default'].inject.service(),
    should_show: false,
    i18n: Ember['default'].inject.service(),
    settings: Ember['default'].inject.service(),
    geolocation: Ember['default'].inject.service(),
    needs: 'application',
    username: '',
    password: '',
    login_error_message: '',
    is_remembered: false,
    init: function init() {
      var self = this;
      var cred_str = localStorage.getItem('credentials');
      if (cred_str != null && cred_str != 'null') {
        var credentials = JSON.parse(localStorage.getItem('credentials'));
        self.set('username', credentials.username);
        self.set('password', credentials.password);
        Customer['default'].check_credentials(credentials).then(function (customer) {
          //Malo boilerplate....
          self.set('controllers.application.logged_user', Customer['default'].current_customer);
          self.set('controllers.application.is_user_logged', true);
          self.get('geolocation.country'); //Initialize it...
          if (Customer['default'].current_customer.account.settings) {
            self.set('settings.settings_values_index', Customer['default'].current_customer.account.settings);
          }
          self.get('settings').load_global_settings().then(function () {
            self.get('geolocation').estimate_location().then(function (msg) {
              if (msg.notify) {
                if (msg.changeable) {
                  var message = self.get('i18n').t('common.location.text').string + " " + msg.estimated_location.country + "/" + msg.estimated_location.district + "? <br />" + self.get('i18n').t('common.location.confirmation').string;
                  alertify.confirm(self.get('i18n').t('common.attention').string, message, function () {
                    var val = {
                      id: msg.estimated_location.country + '.' + msg.estimated_location.district,
                      country: msg.estimated_location.country,
                      district: msg.estimated_location.district
                    };
                    self.get('settings').change_value('location', val);
                    self.get('settings').save_current_settings().then(function () {
                      setTimeout(function () {
                        self.get('settings').reload_user_settings().then(function () {
                          self.get('settings').load_global_settings();
                          self.transitionToRoute('schedule');
                        });
                      }, 2000);
                    });
                  }, function () {
                    self.transitionToRoute('settings');
                  }).setting({
                    'frameless': false,
                    'closable': false,
                    'transition': 'zoom',
                    'labels': { ok: self.get('i18n').t('common.confirm').string, cancel: self.get('i18n').t('common.decline').string }
                  });
                } else {
                  //We cannot change location, it does not exists in settings list!
                  alertify.alert().setting({
                    'title': self.get('i18n').t('common.attention').string,
                    'frameless': false,
                    'closable': false,
                    'transition': 'zoom',
                    'label': self.get('i18n').t('common.ok').string,
                    'message': self.get('i18n').t('common.location.change').string,
                    'onok': function onok() {
                      self.transitionToRoute('settings');
                    }
                  }).show();
                  return;
                }
              } else {
                self.transitionToRoute('schedule');
              }
            });
          });
        }, function (error) {
          self.set('should_show', true);
          self.set('login_error_message', ember_i18n.translationMacro('user.loginpage.notexists'));
        });
      } else {
        this.set('should_show', true);
      }
      //
    },
    actions: {
      do_login: function do_login() {
        var self = this;
        if (this.get('username') && this.get('password')) {
          var cred = {
            username: this.get('username'),
            password: this.get('password'),
            scope: 'customer'
          };
          Customer['default'].check_credentials(cred).then(function (customer) {
            self.set('controllers.application.logged_user', Customer['default'].current_customer);
            self.set('controllers.application.is_user_logged', true);
            self.controllerFor("application").set('is_user_logged', true);
            self.get('geolocation.country'); //Initialize it...
            var stringified_credentials = JSON.stringify(cred);
            if (self.get('is_remembered')) {
              localStorage.setItem("credentials", stringified_credentials);
            }
            if (Customer['default'].current_customer.account.settings) {
              self.set('settings.settings_values_index', Customer['default'].current_customer.account.settings);
            }
            self.get('settings').load_global_settings().then(function () {
              self.get('geolocation').estimate_location().then(function (msg) {
                if (msg.notify) {
                  if (msg.changeable) {
                    var message = self.get('i18n').t('common.location.text').string + " " + msg.estimated_location.country + "/" + msg.estimated_location.district + "? <br />" + self.get('i18n').t('common.location.confirmation').string;
                    alertify.confirm(ember_i18n.translationMacro('common.attention'), message, function () {
                      var val = {
                        id: msg.estimated_location.country + '.' + msg.estimated_location.district,
                        country: msg.estimated_location.country,
                        district: msg.estimated_location.district
                      };
                      self.get('settings').change_value('location', val);
                      self.get('settings').save_current_settings().then(function () {
                        setTimeout(function () {
                          self.get('settings').reload_user_settings().then(function () {
                            self.get('settings').load_global_settings();
                            self.transitionToRoute('schedule');
                          });
                        }, 2000);
                      });
                    }, function () {
                      self.transitionToRoute('settings');
                    }).setting({
                      'frameless': false,
                      'closable': false,
                      'transition': 'zoom',
                      'labels': { ok: self.get('i18n').t('common.confirm').string, cancel: self.get('i18n').t('common.decline').string }
                    });
                  } else {
                    //We cannot change location, it does not exists in settings list!
                    alertify.alert().setting({
                      'title': self.get('i18n').t('common.attention').string,
                      'frameless': false,
                      'closable': false,
                      'transition': 'zoom',
                      'label': self.get('i18n').t('common.ok').string,
                      'message': self.get('i18n').t('common.location.change').string,
                      'onok': function onok() {
                        self.transitionToRoute('settings');
                      }
                    }).show();
                    return;
                  }
                } else {
                  self.transitionToRoute('schedule');
                }
              });
            });
          }, function (error) {
            self.set('login_error_message', ember_i18n.translationMacro('user.loginpage.notexists'));
          });
        } else {
          self.set('login_error_message', ember_i18n.translationMacro('user.loginpage.input.needed'));
        }
      },
      do_register: function do_register() {
        this.transitionToRoute('register');
      },
      forgotten_password: function forgotten_password() {
        var self = this;
        var username = this.get('username');
        if (username === '') {
          alertify.alert().setting({
            'title': self.get('i18n').t('common.attention').string,
            'frameless': false,
            'closable': false,
            'transition': 'zoom',
            'label': self.get('i18n').t('common.ok').string,
            'message': self.get('i18n').t('user.loginpage.forgotten_password.error.no_username').string
          }).show();
          return false;
        }

        User['default'].reset_password(username).then(function (response) {
          alertify.alert().setting({
            'title': self.get('i18n').t('common.attention').string,
            'frameless': false,
            'closable': false,
            'transition': 'zoom',
            'label': self.get('i18n').t('common.ok').string,
            'message': response.response
          }).show();
        }, function (err) {
          alertify.alert().setting({
            'title': self.get('i18n').t('common.attention').string,
            'frameless': false,
            'closable': false,
            'transition': 'zoom',
            'label': self.get('i18n').t('common.ok').string,
            'message': self.get('i18n').t('user.loginpage.forgotten_password.error.server_problem').string
          }).show();
        });
      }
    }
  });

});
define('sacekaj-me/controllers/object', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Controller;

});
define('sacekaj-me/controllers/register', ['exports', 'ember', 'sacekaj-me/models/customer'], function (exports, Ember, Customer) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    i18n: Ember['default'].inject.service(),
    is_user_logged: Ember['default'].computed('Customer.current_customer', function () {
      return !(Customer['default'].current_customer instanceof Customer['default'] && Customer['default'].current_customer.is_new);
    }),
    new_address_content: '',
    new_address_description: '',
    password_confirm: '',
    register_error_message: '',
    model: null,
    actions: {
      do_login: function do_login() {
        this.transitionToRoute('login');
      },
      add_address: function add_address() {
        var content = this.get('new_address_content'),
            description = this.get('new_address_description');
        this.get('model.addresses').pushObject({
          description: description,
          content: content
        });
        this.set('new_address_content', '');
        this.set('new_address_description');
      },
      register: function register() {
        var self = this;
        /* prvo validacija */
        /* ovo je samo za test */
        if (this.get('model.is_new')) {
          //This is new registration
          if (this.get('password_confirm') && this.get('model.email') && this.get('model.tel_number') && this.get('model.account.password') && this.get('model.account.password') == this.get('password_confirm')) {
            //
            this.set('model.account.username', this.get('model.email'));
            this.get('model').save().then(function (data) {
              //OVDJE TREBA OSTAVITI NEKU KOJA NIJE ERROR MESSAGE
              self.set('register_error_message', self.get('i18n').t('common.data.saved').string);
              Customer['default'].current_customer = null;
              var login_page = location.origin;
              window.location.assign(login_page);
            }, function (error) {
              self.set('register_error_message', self.get('i18n').t('user.register.not_saved_error').string);
            }); //
          } else {
              this.set('register_error_message', this.get('i18n').t('common.data.insert.all').string);
            }
        } else {
          //Editing of an existing account
          if (this.get('model.email') && this.get('model.tel_number')) {
            if (this.get('model.account.password')) {
              if (this.get('model.account.password') == this.get('password_confirm')) {
                this.save_customer();
              } else {
                this.set('register_error_message', this.get('i18n').t('user.register.passwords.missmatch').string);
              }
            } else {
              //Does not want to change password
              this.save_customer();
            }
          } else {
            this.set('register_error_message', this.get('i18n').t('user.register.required.emailphone').string);
          }
        }
      }
    },
    save_customer: function save_customer() {
      this.set('model.account.username', this.get('model.email'));
      this.get('model').save().then(function (data) {
        self.set('register_error_message', self.get('i18n').t('common.data.saved').string);
      }, function (error) {
        console.log(error);
        self.set('register_error_message', error.statusText);
      });
    }
  });

});
define('sacekaj-me/controllers/schedule', ['exports', 'ember', 'sacekaj-me/models/booking', 'ember-i18n'], function (exports, Ember, Booking, ember_i18n) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    i18n: Ember['default'].inject.service(),
    location_address: '',
    userLocation: null,
    userLocationLat: null,
    userLocationLon: null,
    selectedScheduleType: "now",
    selected_vehicle_type: 'unspecified',
    scheduleTypes: ["now", "calendar"],
    scheduled_date: '',
    settings: Ember['default'].inject.service(),
    i18n: Ember['default'].inject.service(),

    init: function init() {
      this._super();
      var vehicle_types = [//Ovo mora da ide kod local-branch, jer tamo postoji tip vozila.
      { id: 'unspecified', label: this.get('i18n').t('vehicle_type.lbl_unspecified').string }, { id: 'station-wagon', label: this.get('i18n').t('vehicle_type.lbl_station_wagon').string }, { id: 'sedan', label: this.get('i18n').t('vehicle_type.lbl_sedan').string }, { id: 'van', label: this.get('i18n').t('vehicle_type.lbl_van').string }, { id: 'bus', label: this.get('i18n').t('vehicle_type.lbl_bus').string }];
      this.set('vehicle_types', vehicle_types);
    },
    scheduleIsNow: Ember['default'].computed('selectedScheduleType', function () {
      return this.get('selectedScheduleType') === 'now';
    }),

    scheduleIsCalendar: Ember['default'].computed('selectedScheduleType', function () {
      return this.get('selectedScheduleType') === 'calendar';
    }),

    // -------------------------------- MOJI DODACI ------------------------------
    vehicle_types: [],
    actions: {
      change_schedule_type: function change_schedule_type(selection) {
        this.set('selectedScheduleType', selection);
        console.log('selectedScheduleType selection changed: ' + selection);
      },
      change_schedule_type_now: function change_schedule_type_now() {
        this.set('selectedScheduleType', 'now');
      },
      change_schedule_type_calendar: function change_schedule_type_calendar() {
        this.set('selectedScheduleType', 'calendar');
      },
      vehicle_type_changed: function vehicle_type_changed(selection) {
        this.set('selected_vehicle_type', selection);
      },
      shortcut_address: function shortcut_address(address) {
        this.set('location_address', '');
        this.set('location_address', address.content);
      },
      place_booking: function place_booking() {
        if (this.get('location_address') == '') {
          alert(ember_i18n.translationMacro('common.attention').string);
          alertify.alert().setting({
            'title': this.get('i18n').t('common.attention').string,
            'frameless': false,
            'closable': false,
            'transition': 'zoom',
            'label': this.get('i18n').t('common.ok').string,
            'message': this.get('i18n').t('schedule.address.missing').string,
            'onok': function onok() {
              return;
            }
          }).show();
          return;
        }
        var self = this;
        var booking = Booking['default'].create();
        console.log(this.get('settings.settings_values_index').location);
        var location_data = this.get('settings.settings_values_index').location.id.split('.');
        booking.set('container', this.get('container'));
        booking.set('country', location_data[0]);
        booking.set('district', location_data[1]);
        booking.set('location', this.get('location_address'));
        booking.set('vehicle_type', this.get('selected_vehicle_type'));
        booking.set('requested_time', this.get('scheduled_date'));
        booking.set('bids', Ember['default'].A());
        Booking['default'].current_booking = booking;

        booking.send().then(function () {
          self.set('location_address', '');
          self.transitionToRoute('status', booking);
        }, function (error) {
          console.log(error);
        });
      }
    }

  });

});
define('sacekaj-me/controllers/settings', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    i18n: Ember['default'].inject.service(),
    settings: Ember['default'].inject.service(),
    actions: {
      save: function save() {
        var self = this;
        this.get('settings').save_current_settings().then(function () {
          alertify.alert().setting({
            'title': self.get('i18n').t('common.attention').string,
            'frameless': false,
            'closable': false,
            'transition': 'zoom',
            'label': self.get('i18n').t('common.ok').string,
            'message': self.get('i18n').t('common.parameter.saved').string,
            'onok': function onok() {
              return;
            }
          }).show();
        }, function () {
          alertify.alert().setting({
            'title': self.get('i18n').t('common.attention').string,
            'frameless': false,
            'closable': false,
            'transition': 'zoom',
            'label': self.get('i18n').t('common.ok').string,
            'message': self.get('i18n').t('common.parameter.save.error').string,
            'onok': function onok() {
              return;
            }
          }).show();
        });
      }
    }
  });

});
define('sacekaj-me/controllers/status', ['exports', 'ember', 'sacekaj-me/models/booking'], function (exports, Ember, Booking) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    model: null,
    booking_acknowledged: (function () {
      if (this.get('model.acknowledged')) {
        this.set('model', null);
        Booking['default'].current_booking.get('bids').forEach(function (val) {
          val.destroy();
        });
        Booking['default'].current_booking.set('bids', Ember['default'].A());
        Booking['default'].current_booking.get('communicator').close();
        Booking['default'].current_booking.get('communicator.booking', null);
        Booking['default'].current_booking.destroy();
        Booking['default'].current_booking = null;
        this.transitionToRoute('schedule');
      }
    }).observes('model.acknowledged')
  });

});
define('sacekaj-me/controllers/user/preferences', ['exports', 'ember', 'sacekaj-me/models/user'], function (exports, Ember, User) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    needs: ['application'],

    sortFinishText: null,
    sortableObjectList: Ember['default'].computed.alias('controllers.application.preffered_provider'),

    actions: {
      dragStart: function dragStart(object) {
        console.log('Drag Start', object);
      },
      sortEndAction: function sortEndAction() {
        console.log('Sort Ended', this.get('preffered_provider'));
      }
    }
  });

});
define('sacekaj-me/controllers/user', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Controller.extend({});

});
define('sacekaj-me/helpers/and', ['exports', 'ember', 'ember-truth-helpers/helpers/and'], function (exports, Ember, and) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(and.andHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(and.andHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/eq', ['exports', 'ember', 'ember-truth-helpers/helpers/equal'], function (exports, Ember, equal) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(equal.equalHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(equal.equalHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/gt', ['exports', 'ember', 'ember-truth-helpers/helpers/gt'], function (exports, Ember, gt) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(gt.gtHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(gt.gtHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/gte', ['exports', 'ember', 'ember-truth-helpers/helpers/gte'], function (exports, Ember, gte) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(gte.gteHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(gte.gteHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/is-array', ['exports', 'ember', 'ember-truth-helpers/helpers/is-array'], function (exports, Ember, is_array) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(is_array.isArrayHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(is_array.isArrayHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/is-equal', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var _slicedToArray = (function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; })();

  exports['default'] = Ember['default'].Helper.helper(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2);

    var leftSide = _ref2[0];
    var rightSide = _ref2[1];

    return leftSide === rightSide;
  });

});
define('sacekaj-me/helpers/log', ['exports'], function (exports) {

  'use strict';

  exports['default'] = function () {
    //console.debug(str);
  };

});
define('sacekaj-me/helpers/lt', ['exports', 'ember', 'ember-truth-helpers/helpers/lt'], function (exports, Ember, lt) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(lt.ltHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(lt.ltHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/lte', ['exports', 'ember', 'ember-truth-helpers/helpers/lte'], function (exports, Ember, lte) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(lte.lteHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(lte.lteHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/moment-calendar', ['exports', 'ember-moment/helpers/moment-calendar'], function (exports, moment_calendar) {

	'use strict';



	exports['default'] = moment_calendar['default'];
	exports.momentCalendar = moment_calendar.momentCalendar;

});
define('sacekaj-me/helpers/moment-duration', ['exports', 'ember-moment/helpers/moment-duration'], function (exports, moment_duration) {

	'use strict';



	exports['default'] = moment_duration['default'];

});
define('sacekaj-me/helpers/moment-format', ['exports', 'ember', 'sacekaj-me/config/environment', 'ember-moment/helpers/moment-format'], function (exports, Ember, config, FormatHelper) {

  'use strict';

  exports['default'] = FormatHelper['default'].extend({
    globalAllowEmpty: !!Ember['default'].get(config['default'], 'moment.allowEmpty')
  });

});
define('sacekaj-me/helpers/moment-from-now', ['exports', 'ember', 'sacekaj-me/config/environment', 'ember-moment/helpers/moment-from-now'], function (exports, Ember, config, DurationHelper) {

  'use strict';

  exports['default'] = DurationHelper['default'].extend({
    globalAllowEmpty: !!Ember['default'].get(config['default'], 'moment.allowEmpty')
  });

});
define('sacekaj-me/helpers/moment-to-now', ['exports', 'ember', 'sacekaj-me/config/environment', 'ember-moment/helpers/moment-to-now'], function (exports, Ember, config, ToNowHelper) {

  'use strict';

  exports['default'] = ToNowHelper['default'].extend({
    globalAllowEmpty: !!Ember['default'].get(config['default'], 'moment.allowEmpty')
  });

});
define('sacekaj-me/helpers/not-eq', ['exports', 'ember', 'ember-truth-helpers/helpers/not-equal'], function (exports, Ember, not_equal) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(not_equal.notEqualHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(not_equal.notEqualHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/not', ['exports', 'ember', 'ember-truth-helpers/helpers/not'], function (exports, Ember, not) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(not.notHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(not.notHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/or', ['exports', 'ember', 'ember-truth-helpers/helpers/or'], function (exports, Ember, or) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(or.orHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(or.orHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/helpers/searchable-select-get', ['exports', 'ember-searchable-select/helpers/searchable-select-get'], function (exports, searchable_select_get) {

	'use strict';



	exports['default'] = searchable_select_get['default'];
	exports.searchableSelectGet = searchable_select_get.searchableSelectGet;

});
define('sacekaj-me/helpers/searchable-select-highlight-match', ['exports', 'ember-searchable-select/helpers/searchable-select-highlight-match'], function (exports, searchable_select_highlight_match) {

	'use strict';



	exports['default'] = searchable_select_highlight_match['default'];
	exports.searchableSelectHighlightMatch = searchable_select_highlight_match.searchableSelectHighlightMatch;

});
define('sacekaj-me/helpers/t', ['exports', 'ember-i18n/helper'], function (exports, helper) {

	'use strict';



	exports['default'] = helper['default'];

});
define('sacekaj-me/helpers/xor', ['exports', 'ember', 'ember-truth-helpers/helpers/xor'], function (exports, Ember, xor) {

  'use strict';

  var forExport = null;

  if (Ember['default'].Helper) {
    forExport = Ember['default'].Helper.helper(xor.xorHelper);
  } else if (Ember['default'].HTMLBars.makeBoundHelper) {
    forExport = Ember['default'].HTMLBars.makeBoundHelper(xor.xorHelper);
  }

  exports['default'] = forExport;

});
define('sacekaj-me/initializers/ajax_calls', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = {
    name: 'ajax-calls',
    initialize: function initialize() {
      Ember['default'].$.ajaxSetup({
        crossDomain: true
      });
    }
  };

});
define('sacekaj-me/initializers/app-version', ['exports', 'ember-cli-app-version/initializer-factory', 'sacekaj-me/config/environment'], function (exports, initializerFactory, config) {

  'use strict';

  var _config$APP = config['default'].APP;
  var name = _config$APP.name;
  var version = _config$APP.version;

  exports['default'] = {
    name: 'App Version',
    initialize: initializerFactory['default'](name, version)
  };

});
define('sacekaj-me/initializers/coordinator-setup', ['exports', 'sacekaj-me/models/coordinator'], function (exports, Coordinator) {

  'use strict';

  exports['default'] = {
    name: "setup coordinator",

    initialize: function initialize() {
      var app = arguments[1] || arguments[0];
      app.register("drag:coordinator", Coordinator['default']);
      app.inject("component", "coordinator", "drag:coordinator");
    }
  };

});
define('sacekaj-me/initializers/ember-cli-fastclick', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var schedule = Ember['default'].run.schedule;

  var EmberCliFastclickInitializer = {
    name: 'fastclick',

    initialize: function initialize() {
      schedule('afterRender', function () {
        FastClick.attach(document.body);
      });
    }
  };

  exports['default'] = EmberCliFastclickInitializer;

});
define('sacekaj-me/initializers/ember-i18n', ['exports', 'sacekaj-me/instance-initializers/ember-i18n'], function (exports, instanceInitializer) {

  'use strict';

  exports['default'] = {
    name: instanceInitializer['default'].name,

    initialize: function initialize() {
      var application = arguments[1] || arguments[0]; // depending on Ember version
      if (application.instanceInitializer) {
        return;
      }

      instanceInitializer['default'].initialize(application);
    }
  };

});
define('sacekaj-me/initializers/export-application-global', ['exports', 'ember', 'sacekaj-me/config/environment'], function (exports, Ember, config) {

  'use strict';

  exports.initialize = initialize;

  function initialize() {
    var application = arguments[1] || arguments[0];
    if (config['default'].exportApplicationGlobal !== false) {
      var value = config['default'].exportApplicationGlobal;
      var globalName;

      if (typeof value === 'string') {
        globalName = value;
      } else {
        globalName = Ember['default'].String.classify(config['default'].modulePrefix);
      }

      if (!window[globalName]) {
        window[globalName] = application;

        application.reopen({
          willDestroy: function willDestroy() {
            this._super.apply(this, arguments);
            delete window[globalName];
          }
        });
      }
    }
  }

  exports['default'] = {
    name: 'export-application-global',

    initialize: initialize
  };

});
define('sacekaj-me/initializers/foundation-config', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = {
    name: 'foundation-config',
    initialize: function initialize() {
      Ember['default'].View.reopen({
        startFoundation: (function () {
          Ember['default'].run.scheduleOnce('afterRender', this, function () {
            Ember['default'].$(document).foundation('offcanvas', 'reflow');
            Ember['default'].$(document).foundation('topbar', {
              index: 0,
              stickyClass: 'sticky',
              custom_back_text: true,
              back_text: '<<',
              init: true
            });
          });
        }).on('didInsertElement')
      });
    }
  };

});
define('sacekaj-me/initializers/truth-helpers', ['exports', 'ember', 'ember-truth-helpers/utils/register-helper', 'ember-truth-helpers/helpers/and', 'ember-truth-helpers/helpers/or', 'ember-truth-helpers/helpers/equal', 'ember-truth-helpers/helpers/not', 'ember-truth-helpers/helpers/is-array', 'ember-truth-helpers/helpers/not-equal', 'ember-truth-helpers/helpers/gt', 'ember-truth-helpers/helpers/gte', 'ember-truth-helpers/helpers/lt', 'ember-truth-helpers/helpers/lte'], function (exports, Ember, register_helper, and, or, equal, not, is_array, not_equal, gt, gte, lt, lte) {

  'use strict';

  exports.initialize = initialize;

  function initialize() /* container, application */{

    // Do not register helpers from Ember 1.13 onwards, starting from 1.13 they
    // will be auto-discovered.
    if (Ember['default'].Helper) {
      return;
    }

    register_helper.registerHelper('and', and.andHelper);
    register_helper.registerHelper('or', or.orHelper);
    register_helper.registerHelper('eq', equal.equalHelper);
    register_helper.registerHelper('not', not.notHelper);
    register_helper.registerHelper('is-array', is_array.isArrayHelper);
    register_helper.registerHelper('not-eq', not_equal.notEqualHelper);
    register_helper.registerHelper('gt', gt.gtHelper);
    register_helper.registerHelper('gte', gte.gteHelper);
    register_helper.registerHelper('lt', lt.ltHelper);
    register_helper.registerHelper('lte', lte.lteHelper);
  }

  exports['default'] = {
    name: 'truth-helpers',
    initialize: initialize
  };

});
define('sacekaj-me/instance-initializers/ember-i18n', ['exports', 'ember', 'ember-i18n/stream', 'ember-i18n/legacy-helper', 'sacekaj-me/config/environment'], function (exports, Ember, Stream, legacyHelper, ENV) {

  'use strict';

  exports['default'] = {
    name: 'ember-i18n',

    initialize: function initialize(appOrAppInstance) {
      if (legacyHelper['default'] != null) {
        (function () {
          // Used for Ember < 1.13
          var i18n = appOrAppInstance.container.lookup('service:i18n');

          i18n.localeStream = new Stream['default'](function () {
            return i18n.get('locale');
          });

          Ember['default'].addObserver(i18n, 'locale', i18n, function () {
            this.localeStream.value(); // force the stream to be dirty
            this.localeStream.notify();
          });

          Ember['default'].HTMLBars._registerHelper('t', legacyHelper['default']);
        })();
      }
    }
  };

});
define('sacekaj-me/locales/en/config', ['exports'], function (exports) {

  'use strict';

  // Ember-I18n includes configuration for common locales. Most users
  // can safely delete this file. Use it if you need to override behavior
  // for a locale or define behavior for a locale that Ember-I18n
  // doesn't know about.
  exports['default'] = {
    // rtl: [true|FALSE],
    //
    // pluralForm: function(count) {
    //   if (count === 0) { return 'zero'; }
    //   if (count === 1) { return 'one'; }
    //   if (count === 2) { return 'two'; }
    //   if (count < 5) { return 'few'; }
    //   if (count >= 5) { return 'many'; }
    //   return 'other';
    // }
  };

});
define('sacekaj-me/locales/en/translations', ['exports'], function (exports) {

  'use strict';

  exports['default'] = {
    'language-select.language.me': 'Montenegrin',
    'language-select.language.en': 'English',
    // "some.translation.key": "Text for some.translation.key",
    //
    // "a": {
    //   "nested": {
    //     "key": "Text for a.nested.key"
    //   }
    // },

    'common.yes': 'Yes',
    'common.no': 'No',
    'common.attention': 'Attention',
    'common.confirm': 'Confirm',
    'common.decline': 'Cancel',
    'common.ok': 'Ok',
    'common.data.saved': 'Data saved.',
    'common.data.insert.all': 'Insert all data!',
    'common.parameter.saved': 'Parameters saved',
    'common.parameter.save.error': 'Error while saving parameters',
    'common.location.text': 'You are in',
    'common.location.confirmation': "Za potvrdu i korišćenje usluga na ovoj lokaciji pritisni 'Potvrđujem'",
    'common.location.change': 'Detektovana je promjena lokacije, ali se ne može pouzdano utvrditi. Molimo da promijenite lokaciju u sledećem meniju',

    'user.register.passwords.missmatch': 'Lozinke koje ste unijeli moraju biti identične.',
    'user.register.required.emailphone': 'Morate unijeti makar email i broj telefona.',

    //menu
    'menu.status': 'Status',
    'menu.schedule': 'Schedule',
    'menu.advertising': 'Recommendations',
    'menu.myaccount': 'My account',
    'menu.settings': 'Settings',
    'menu.general': 'General',

    //user
    'user.username': 'Username',
    'user.password': 'Password',
    'user.firstname': 'First name',
    'user.lastname': 'Last name',
    'user.email': 'E-mail',
    'user.tel_number': 'Mobile number',
    'user.password.confirm': 'Confirm password',
    'user.address': 'Address',
    'user.address.insert': 'Type address',
    'user.address.mark': 'Type address mark',
    'user.addresses.title': 'My locations',
    'user.addresses.missing': 'You don\'t have any saved location',
    'user.register': 'Forward',
    'user.register.title': 'Create account',
    'user.register.not_saved_error': 'Registration error. Your data haven\'t been saved.',

    'user.loginpage.remember.me': 'Remember me',
    'user.loginpage.login': 'Sign in',
    'user.loginpage.logout': 'Sign out',
    'user.loginpage.register': 'Register',
    'user.loginpage.forgot.password': 'Forgot password?',
    'user.loginpage.notexists': 'User doesn\'t exists',
    'user.loginpage.input.needed': 'Type username & password',
    'user.loginpage.forgotten_password.error.no_username': 'You must enter valid email address in the first field.',
    'user.loginpage.forgotten_password.error.password_reset_ok': 'Password changed, please check your e-mail.',
    'user.loginpage.forgotten_password.error.server_problem': 'Server error, password has not been changed.<br /> Please check again later.',

    'schedule.order': 'Order',
    'schedule.address.text': 'Type address',
    'schedule.address.missing': 'Choose destination address',
    'schedule.order.confirm': 'Confirm order:',
    'schedule.minutes': ' minutes',
    'schedule.vehicle.type': 'Vehicle type',
    'schedule.arrival.time': 'Arrival time',

    'status.request.time': 'Request time',
    'status.quotation.click': 'CLICK TO CHOOSE',
    'status.please.wait': 'PLEASE WAIT...',

    'settings.button.save': 'Save settings',
    'settings.language_label': 'Language',
    'settings.location_label': 'Location',

    'user.followers.title.other': 'All {{count}} Followers',
    "key.with.interpolation": "Tekst sa {{anInterpolation}}",

    'vehicle_type.lbl_unspecified': 'Unspecified',
    'vehicle_type.lbl_station_wagon': 'Station-wagon',
    'vehicle_type.lbl_sedan': 'Sedan',
    'vehicle_type.lbl_van': 'Passanger van',
    'vehicle_type.lbl_bus': 'Bus'
  };

});
define('sacekaj-me/locales/hr/config', ['exports'], function (exports) {

  'use strict';

  // Ember-I18n includes configuration for common locales. Most users
  // can safely delete this file. Use it if you need to override behavior
  // for a locale or define behavior for a locale that Ember-I18n
  // doesn't know about.
  exports['default'] = {
    // rtl: [true|FALSE],
    //
    // pluralForm: function(count) {
    //   if (count === 0) { return 'zero'; }
    //   if (count === 1) { return 'one'; }
    //   if (count === 2) { return 'two'; }
    //   if (count < 5) { return 'few'; }
    //   if (count >= 5) { return 'many'; }
    //   return 'other';
    // }
  };

});
define('sacekaj-me/locales/hr/translations', ['exports'], function (exports) {

  'use strict';

  exports['default'] = {
    'language-select.language.me': 'Crnogorski',
    'language-select.language.en': 'Engleski',
    // "some.translation.key": "Text for some.translation.key",
    //
    // "a": {
    //   "nested": {
    //     "key": "Text for a.nested.key"
    //   }
    // },

    'common.yes': 'Da',
    'common.no': 'Ne',
    'common.attention': 'Pažnja',
    'common.confirm': 'Potvrđujem',
    'common.decline': 'Odbijam',
    'common.ok': 'U redu',
    'common.data.saved': 'Podaci snimljeni.',
    'common.data.insert.all': 'Unesite sve podatke!',
    'common.parameter.saved': 'Parametri sačuvani',
    'common.parameter.save.error': 'Došlo je do greške prilikom čuvanja parametara',
    'common.location.text': 'Nalazite se u',
    'common.location.confirmation': "Za potvrdu i korišćenje usluga na ovoj lokaciji pritisni 'Potvrđujem'",
    'common.location.change': 'Detektovana je promjena lokacije, ali se ne može pouzdano utvrditi. Molimo da promijenite lokaciju u sledećem meniju',

    'user.register.passwords.missmatch': 'Lozinke koje ste unijeli moraju biti identične.',
    'user.register.required.emailphone': 'Morate unijeti makar email i broj telefona.',

    //menu
    'menu.status': 'Status',
    'menu.schedule': 'Zakaži',
    'menu.advertising': 'Preporuke',
    'menu.myaccount': 'Moj nalog',
    'menu.settings': 'Podešavanja',
    'menu.general': 'Opšte',

    //user
    'user.username': 'Email',
    'user.password': 'Lozinka',
    'user.firstname': 'Ime',
    'user.lastname': 'Prezime',
    'user.email': 'E-mail',
    'user.password.confirm': 'Potvrda lozinke',
    'user.address': 'Adresa',
    'user.tel_number': 'Broj mobilnog telefona',
    'user.address.insert': 'Unesite adresu',
    'user.address.mark': 'Unesite oznaku adrese',
    'user.addresses.title': 'Moje lokacije',
    'user.addresses.missing': 'Nemate sačuvanih lokacija',
    'user.register': 'Proslijedi',
    'user.register.title': 'Registracija',
    'user.register.not_saved_error': 'Greška prilikom registracije. Vaši podaci nisu snimljeni.',

    'user.loginpage.remember.me': 'Stalno ulogovan',
    'user.loginpage.login': 'Prijava',
    'user.loginpage.logout': 'Odjava',
    'user.loginpage.register': 'Registrujte se',
    'user.loginpage.forgot.password': 'Zaboravljena lozinka?',
    'user.loginpage.notexists': 'Korisnik sa datim korisničkim imenom i lozinkom ne postoji',
    'user.loginpage.input.needed': 'Unesite korisničko ime i lozinku',
    'user.loginpage.forgotten_password.error.no_username': 'Morate unijeti vaš email u prvo polje.',
    'user.loginpage.forgotten_password.error.password_reset_ok': 'Lozinka promjenjena, molimo provjerite vaš mejl.',
    'user.loginpage.forgotten_password.error.server_problem': 'Lozinka nije promjenjena, greška na serveru.<br /> Molimo pokušajte ponovo kasnije.',

    'schedule.order': 'NARUČI',
    'schedule.address.text': 'Unesite adresu',
    'schedule.address.missing': 'Morate unijeti destinacionu adresu',
    'schedule.order.confirm': 'Da li zaista želite da potvrdite ponudu ',
    'schedule.minutes': ' minuta',
    'schedule.vehicle.type': 'Tip vozila',
    'schedule.arrival.time': 'Datum i vrijeme dolaska',

    'status.request.time': 'Vrijeme slanja zahtjeva',
    'status.quotation.click': 'ODABERI PRITISKOM NA PONUDU',
    'status.please.wait': 'MOLIMO SAČEKAJTE...',

    'settings.button.save': 'Snimi podešavanja',
    'settings.language_label': 'Jezik',
    'settings.location_label': 'Lokacija',

    'user.followers.title.other': 'All {{count}} Followers',
    "key.with.interpolation": "Tekst sa {{anInterpolation}}",

    'vehicle_type.lbl_unspecified': 'Nespecificiran',
    'vehicle_type.lbl_station_wagon': 'Karavan',
    'vehicle_type.lbl_sedan': 'Sedan',
    'vehicle_type.lbl_van': 'Putnički kombi',
    'vehicle_type.lbl_bus': 'Autobus'
  };

});
define('sacekaj-me/locales/me/config', ['exports'], function (exports) {

  'use strict';

  // Ember-I18n includes configuration for common locales. Most users
  // can safely delete this file. Use it if you need to override behavior
  // for a locale or define behavior for a locale that Ember-I18n
  // doesn't know about.
  exports['default'] = {
    // rtl: [true|FALSE],
    //
    // pluralForm: function(count) {
    //   if (count === 0) { return 'zero'; }
    //   if (count === 1) { return 'one'; }
    //   if (count === 2) { return 'two'; }
    //   if (count < 5) { return 'few'; }
    //   if (count >= 5) { return 'many'; }
    //   return 'other';
    // }
  };

});
define('sacekaj-me/locales/me/translations', ['exports'], function (exports) {

  'use strict';

  exports['default'] = {
    'language-select.language.me': 'Crnogorski',
    'language-select.language.en': 'Engleski',
    // "some.translation.key": "Text for some.translation.key",
    //
    // "a": {
    //   "nested": {
    //     "key": "Text for a.nested.key"
    //   }
    // },

    'common.yes': 'Da',
    'common.no': 'Ne',
    'common.attention': 'Pažnja',
    'common.confirm': 'Potvrđujem',
    'common.decline': 'Odbijam',
    'common.ok': 'U redu',
    'common.data.saved': 'Podaci snimljeni.',
    'common.data.insert.all': 'Unesite sve podatke!',
    'common.parameter.saved': 'Parametri sačuvani',
    'common.parameter.save.error': 'Došlo je do greške prilikom čuvanja parametara',
    'common.location.text': 'Nalazite se u',
    'common.location.confirmation': "Za potvrdu i korišćenje usluga na ovoj lokaciji pritisni 'Potvrđujem'",
    'common.location.change': 'Detektovana je promjena lokacije, ali se ne može pouzdano utvrditi. Molimo da promijenite lokaciju u sledećem meniju',

    'user.register.passwords.missmatch': 'Lozinke koje ste unijeli moraju biti identične.',
    'user.register.required.emailphone': 'Morate unijeti makar email i broj telefona.',

    //menu
    'menu.status': 'Status',
    'menu.schedule': 'Zakaži',
    'menu.advertising': 'Preporuke',
    'menu.myaccount': 'Moj nalog',
    'menu.settings': 'Podešavanja',
    'menu.general': 'Opšte',

    //user
    'user.username': 'Email',
    'user.password': 'Lozinka',
    'user.firstname': 'Ime',
    'user.lastname': 'Prezime',
    'user.email': 'E-mail',
    'user.password.confirm': 'Potvrda lozinke',
    'user.address': 'Adresa',
    'user.tel_number': 'Broj mobilnog telefona',
    'user.address.insert': 'Unesite adresu',
    'user.address.mark': 'Unesite oznaku adrese',
    'user.addresses.title': 'Moje lokacije',
    'user.addresses.missing': 'Nemate sačuvanih lokacija',
    'user.register': 'Proslijedi',
    'user.register.title': 'Registracija',
    'user.register.not_saved_error': 'Greška prilikom registracije. Vaši podaci nisu snimljeni.',

    'user.loginpage.remember.me': 'Stalno ulogovan',
    'user.loginpage.login': 'Prijava',
    'user.loginpage.logout': 'Odjava',
    'user.loginpage.register': 'Registrujte se',
    'user.loginpage.forgot.password': 'Zaboravljena lozinka?',
    'user.loginpage.notexists': 'Korisnik sa datim korisničkim imenom i lozinkom ne postoji',
    'user.loginpage.input.needed': 'Unesite korisničko ime i lozinku',
    'user.loginpage.forgotten_password.error.no_username': 'Morate unijeti vaš email u prvo polje.',
    'user.loginpage.forgotten_password.error.password_reset_ok': 'Lozinka promijenjena, molimo provjerite vaš mejl.',
    'user.loginpage.forgotten_password.error.server_problem': 'Lozinka nije promijenjena, greška na serveru.<br /> Molimo pokušajte ponovo kasnije.',

    'schedule.order': 'NARUČI',
    'schedule.address.text': 'Unesite adresu',
    'schedule.address.missing': 'Morate unijeti destinacionu adresu',
    'schedule.order.confirm': 'Da li zaista želite da potvrdite ponudu:',
    'schedule.minutes': ' minuta',
    'schedule.vehicle.type': 'Tip vozila',
    'schedule.arrival.time': 'Datum i vrijeme dolaska',

    'status.request.time': 'Vrijeme slanja zahtjeva',
    'status.quotation.click': 'ODABERI PRITISKOM NA PONUDU',
    'status.please.wait': 'MOLIMO SAČEKAJTE...',

    'settings.button.save': 'Snimi podešavanja',
    'settings.language_label': 'Jezik',
    'settings.location_label': 'Lokacija',

    'user.followers.title.other': 'All {{count}} Followers',
    "key.with.interpolation": "Tekst sa {{anInterpolation}}",

    'vehicle_type.lbl_unspecified': 'Nespecificiran',
    'vehicle_type.lbl_station_wagon': 'Karavan',
    'vehicle_type.lbl_sedan': 'Sedan',
    'vehicle_type.lbl_van': 'Putnički kombi',
    'vehicle_type.lbl_bus': 'Autobus'
  };

});
define('sacekaj-me/locales/sr-cyr/config', ['exports'], function (exports) {

  'use strict';

  // Ember-I18n includes configuration for common locales. Most users
  // can safely delete this file. Use it if you need to override behavior
  // for a locale or define behavior for a locale that Ember-I18n
  // doesn't know about.
  exports['default'] = {
    // rtl: [true|FALSE],
    //
    // pluralForm: function(count) {
    //   if (count === 0) { return 'zero'; }
    //   if (count === 1) { return 'one'; }
    //   if (count === 2) { return 'two'; }
    //   if (count < 5) { return 'few'; }
    //   if (count >= 5) { return 'many'; }
    //   return 'other';
    // }
  };

});
define('sacekaj-me/locales/sr-cyr/translations', ['exports'], function (exports) {

  'use strict';

  exports['default'] = {
    'language-select.language.me': 'Crnogorski',
    'language-select.language.en': 'Engleski',
    // "some.translation.key": "Text for some.translation.key",
    //
    // "a": {
    //   "nested": {
    //     "key": "Text for a.nested.key"
    //   }
    // },

    'common.yes': 'Да',
    'common.no': 'Не',
    'common.attention': 'Пажња',
    'common.confirm': 'Потврђујем',
    'common.decline': 'Одбијам',
    'common.ok': 'У реду',
    'common.data.saved': 'Подаци снимљени.',
    'common.data.insert.all': 'Унесите све податке!',
    'common.parameter.saved': 'Параметри сачувани',
    'common.parameter.save.error': 'Дошло је до грешке приликом чувања параметара',
    'common.location.text': 'Налазите се у',
    'common.location.confirmation': "За потрврду и коришћење услуга на овој локацији притисни 'Потврђујем'",
    'common.location.change': 'Детектована је промена локације, али се не може поуздано утврдити.Молимо да промените локацију у следећем менију',

    'user.register.passwords.missmatch': 'Лозинке које сте унели морају бити идентичне.',
    'user.register.required.emailphone': 'Морате унети дестинациону адресу.',

    //menu
    'menu.status': 'Статус',
    'menu.schedule': 'Закажи',
    'menu.advertising': 'Препоруке',
    'menu.myaccount': 'Мој налог',
    'menu.settings': 'Подешавања',
    'menu.general': 'Опште',

    //user
    'user.username': 'Е-Пошта',
    'user.password': 'Лозинка',
    'user.firstname': 'Име',
    'user.lastname': 'Презиме',
    'user.email': 'E-mail',
    'user.password.confirm': 'Потврда лозинке',
    'user.address': 'Адреса',
    'user.tel_number': 'Број мобилног телефона',
    'user.address.insert': 'Унесите адресу',
    'user.address.mark': 'Унесите ознаку адресе',
    'user.addresses.title': 'Моје локације',
    'user.addresses.missing': 'Немате сачуваних локација',
    'user.register': 'Прослиједи',
    'user.register.title': 'Регистрација',
    'user.register.not_saved_error': 'Грешка приликом регистрације. Ваши подаци нису сачувани.',

    'user.loginpage.remember.me': 'Стално улогован',
    'user.loginpage.login': 'Пријава',
    'user.loginpage.logout': 'Одјава',
    'user.loginpage.register': 'Региструјте се',
    'user.loginpage.forgot.password': 'Заборављена лозинка?',
    'user.loginpage.notexists': 'Корисник са датим корисничким именом и лозинком не постоји.',
    'user.loginpage.input.needed': 'Унесите корисничко име и лозинку',
    'user.loginpage.forgotten_password.error.no_username': 'Морате унијети Вашу и-мејл адресу у прво поље.',
    'user.loginpage.forgotten_password.error.password_reset_ok': 'Лозинка промењена, молимо проверите Ваш мејл.',
    'user.loginpage.forgotten_password.error.server_problem': 'Лозинка није промењена, грешка на серверу.<br /> Молимо покушајте поново касније.',

    'schedule.order': 'НАРУЧИ',
    'schedule.address.text': 'Унесите адресу',
    'schedule.address.missing': 'Морате унети дестинациону адресу',
    'schedule.order.confirm': 'Да ли заиста желите да потврдите понуду ',
    'schedule.minutes': ' минута',
    'schedule.vehicle.type': 'Тип возила',
    'schedule.arrival.time': 'Датум и време доласка',

    'status.request.time': 'Време слања захтева',
    'status.quotation.click': 'ОДАБЕРИ ПРИТИСКОМ НА ПОНУДУ',
    'status.please.wait': 'Молимо сачекајте...',

    'settings.button.save': 'Сними подешавања',
    'settings.language_label': 'Језик',
    'settings.location_label': 'Локација',

    'user.followers.title.other': 'Сви {{count}} Следбеници',
    "key.with.interpolation": "Текст са {{anInterpolation}}",

    'vehicle_type.lbl_unspecified': 'Неспецифициран',
    'vehicle_type.lbl_station_wagon': 'Караван',
    'vehicle_type.lbl_sedan': 'Седан',
    'vehicle_type.lbl_van': 'Путнички комби',
    'vehicle_type.lbl_bus': 'Аутобус'
  };

});
define('sacekaj-me/locales/sr-lat/config', ['exports'], function (exports) {

  'use strict';

  // Ember-I18n includes configuration for common locales. Most users
  // can safely delete this file. Use it if you need to override behavior
  // for a locale or define behavior for a locale that Ember-I18n
  // doesn't know about.
  exports['default'] = {
    rtl: [false],
    pluralForm: function pluralForm() {}
    //
    // pluralForm: function(count) {
    //   if (count === 0) { return 'zero'; }
    //   if (count === 1) { return 'one'; }
    //   if (count === 2) { return 'two'; }
    //   if (count < 5) { return 'few'; }
    //   if (count >= 5) { return 'many'; }
    //   return 'other';
    // }
  };

});
define('sacekaj-me/locales/sr-lat/translations', ['exports'], function (exports) {

  'use strict';

  exports['default'] = {
    'language-select.language.me': 'Crnogorski',
    'language-select.language.en': 'Engleski',
    // "some.translation.key": "Text for some.translation.key",
    //
    // "a": {
    //   "nested": {
    //     "key": "Text for a.nested.key"
    //   }
    // },

    'common.yes': 'Da',
    'common.no': 'Ne',
    'common.attention': 'Pažnja',
    'common.confirm': 'Potvrđujem',
    'common.decline': 'Odbijam',
    'common.ok': 'U redu',
    'common.data.saved': 'Podaci snimljeni.',
    'common.data.insert.all': 'Unesite sve podatke!',
    'common.parameter.saved': 'Parametri sačuvani',
    'common.parameter.save.error': 'Došlo je do greške prilikom čuvanja parametara',
    'common.location.text': 'Nalazite se u',
    'common.location.confirmation': "Za potvrdu i korišćenje usluga na ovoj lokaciji pritisni <b>Potvrđujem</b> ",
    'common.location.change': 'Detektovana je promjena lokacije, ali se ne može pouzdano utvrditi. Molimo da promijenite lokaciju u sledećem meniju',

    'user.register.passwords.missmatch': 'Lozinke koje ste unijeli moraju biti identične.',
    'user.register.required.emailphone': 'Morate unijeti makar email i broj telefona.',

    //menu
    'menu.status': 'Status',
    'menu.schedule': 'Zakaži',
    'menu.advertising': 'Preporuke',
    'menu.myaccount': 'Moj nalog',
    'menu.settings': 'Podešavanja',
    'menu.general': 'Opšte',

    //user
    'user.username': 'Email',
    'user.password': 'Lozinka',
    'user.firstname': 'Ime',
    'user.lastname': 'Prezime',
    'user.email': 'E-mail',
    'user.password.confirm': 'Potvrda lozinke',
    'user.address': 'Adresa',
    'user.tel_number': 'Broj mobilnog telefona',
    'user.address.insert': 'Unesite adresu',
    'user.address.mark': 'Unesite oznaku adrese',
    'user.addresses.title': 'Moje lokacije',
    'user.addresses.missing': 'Nemate sačuvanih lokacija',
    'user.register': 'Proslijedi',
    'user.register.title': 'Registracija',
    'user.register.not_saved_error': 'Greška prilikom registracije. Vaši podaci nisu snimljeni.',

    'user.loginpage.remember.me': 'Stalno ulogovan',
    'user.loginpage.login': 'Prijava',
    'user.loginpage.logout': 'Odjava',
    'user.loginpage.register': 'Registrujte se',
    'user.loginpage.forgot.password': 'Zaboravljena lozinka?',
    'user.loginpage.notexists': 'Korisnik sa datim korisničkim imenom i lozinkom ne postoji',
    'user.loginpage.input.needed': 'Unesite korisničko ime i lozinku',
    'user.loginpage.forgotten_password.error.no_username': 'Morate uneti vaš email u prvo polje.',
    'user.loginpage.forgotten_password.error.password_reset_ok': 'Lozinka promenjena, molimo proverite vaš mejl.',
    'user.loginpage.forgotten_password.error.server_problem': 'Lozinka nije promenjena, greška na serveru.<br /> Molimo pokušajte ponovo kasnije.',

    'schedule.order': 'NARUČI',
    'schedule.address.text': 'Unesite adresu',
    'schedule.address.missing': 'Morate unijeti destinacionu adresu',
    'schedule.order.confirm': 'Da li zaista želite da potvrdite ponudu:',
    'schedule.minutes': ' minuta',
    'schedule.vehicle.type': 'Tip vozila',
    'schedule.arrival.time': 'Datum i vrijeme dolaska',

    'status.request.time': 'Vrijeme slanja zahtjeva',
    'status.quotation.click': 'ODABERI PRITISKOM NA PONUDU',
    'status.please.wait': 'MOLIMO SAČEKAJTE...',

    'settings.button.save': 'Snimi podešavanja',
    'settings.language_label': 'Jezik',
    'settings.location_label': 'Lokacija',

    'user.followers.title.other': 'All {{count}} Followers',
    "key.with.interpolation": "Tekst sa {{anInterpolation}}",

    'vehicle_type.lbl_unspecified': 'Nespecificiran',
    'vehicle_type.lbl_station_wagon': 'Karavan',
    'vehicle_type.lbl_sedan': 'Sedan',
    'vehicle_type.lbl_van': 'Putnički kombi',
    'vehicle_type.lbl_bus': 'Autobus'
  };

});
define('sacekaj-me/models/base-model', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var BaseModel = Ember['default'].Object.extend({
    id: '',
    is_new: true
  });

  BaseModel.reopenClass({ //"static" equivalent
    find: function find(id, type) {
      var found_item = this.contentArrayContains(id, type);
      if (!found_item) {
        found_item = type.create({ id: id, isLoaded: false });
        Ember['default'].get(type, 'collection').pushObject(found_item);
      }
      return found_item;
    },

    //Utility function
    contentArrayContains: function contentArrayContains(id, type) {
      var contains = null;

      Ember['default'].get(type, 'collection').forEach(function (item) {
        if (item.get('id') === id) {
          contains = item;
        }
      });
      return contains;
    },

    __set_object: function __set_object(type, data) {
      var item = type.create();
      item.setProperties(data);
      item.set('isLoaded', true);
      return item;
    }
  });
  exports['default'] = BaseModel;

});
define('sacekaj-me/models/bid', ['exports', 'ember', 'sacekaj-me/models/base-model', 'sacekaj-me/config/environment'], function (exports, Ember, BaseModel, config) {

  'use strict';

  var Bid = BaseModel['default'].extend({
    booking: null,
    timestamp: moment.unix(),
    provider: '', //Za sada izostaviti
    provider_id: '',
    state: 0,
    estimated_pickup_time: 0,
    price_per_km: 0,
    dispatcher_id: '',
    dispatcher_name: '',
    timestamp_confirmed: 0,
    vehicle_number: '',

    state_changed: (function () {
      if (this.get('state') !== Bid.PROPOSED) {
        this.set('booking.lock', true);
        console.log('Zakljucavam promjene na odredjeno vrijeme');
      }
    }).observes('state'),

    item_state: (function () {
      var transformed_state = '';
      switch (this.get('state')) {
        case Bid.PROPOSED_STATE:
          transformed_state = 'proposed';
          break;
        case Bid.CONFIRMED_STATE:
          transformed_state = 'confirmed';
          break;
        case Bid.DROPPED_STATE:
          transformed_state = 'dropped';
          break;
        case Bid.ACKNOWLEDGED_STATE:
          transformed_state = 'acknowledged';
          break;
        case Bid.TIMED_OUT_STATE:
          transformed_state = 'timed_out';
          break;
      }
      console.log(transformed_state);
      return transformed_state;
    }).property('state'),

    send: function send() {
      var confirmation_msg = {
        metadata: {
          timstamp_accepted: moment.utc().add('hours', 2).toISOString(),
          type: 'bid_acceptance'
        },
        data: {
          booking_id: this.get('booking.id'),
          dispatcher_id: this.get('dispatcher_id')
        }
      };
      this.get('booking.communicator').send_bid_confirmation(confirmation_msg);
      this.set('state', Bid.CONFIRMED_STATE);
    }
  });

  Bid.reopenClass({
    PROPOSED_STATE: 0,
    CONFIRMED_STATE: 1,
    DROPPED_STATE: 2,
    ACKNOWLEDGED_STATE: 3,
    TIMED_OUT_STATE: 4
  });

  exports['default'] = Bid;

});
define('sacekaj-me/models/booking', ['exports', 'ember', 'sacekaj-me/models/base-model', 'sacekaj-me/config/environment', 'sacekaj-me/models/customer', 'sacekaj-me/models/bid', 'sacekaj-me/models/ws-communicator'], function (exports, Ember, BaseModel, config, Customer, Bid, WebSocketCommunicator) {

  'use strict';

  var Booking = BaseModel['default'].extend({
    country: '', //Country short international code
    district: '', //Area name, most often town, without empty space
    location: '', //addresses
    vehicle_type: 'unspecified',
    timestamp_sent: '',
    timestamp_arrived: '',
    requested_time: '', //If set it will bi considered as booking in future.
    communicator: null,
    lock: false,
    acknowledged: false,
    bids: Ember['default'].A(),
    settings: Ember['default'].inject.service(),
    submitted: false,
    timeout_bookings: function timeout_bookings() {
      this.get('bids').forEach(function (bid) {
        bid.set('state', Bid['default'].TIMED_OUT_STATE);
      });
    },

    formatted_time: (function () {
      var timestamp_sent = this.get('timestamp_sent');
      return timestamp_sent == 0 ? '' : moment.utc(timestamp_sent).format("DD.MM.YYYY HH:mm:ss");
    }).property('timestamp_sent'),

    add_bid: function add_bid(bid) {
      this.get('bids').pushObject(bid);
    },
    purge_bids: function purge_bids() {
      this.set('bids', Ember['default'].A());
    },
    acknowledge_bid: function acknowledge_bid(dispatcher_id) {
      var self = this;
      this.get('bids').forEach(function (val) {
        if (val.get('dispatcher_id') === dispatcher_id) {
          val.set('state', Bid['default'].ACKNOWLEDGED_STATE);
          alertify.alert().setting({
            'title': 'Info',
            'frameless': false,
            'closable': false,
            'transition': 'zoom',
            'label': 'U redu',
            'message': "TAKSI  " + val.get('provider') + " za " + val.get('estimated_pickup_time') + " minuta.<br/> Hvala sto koristite Sacekaj.Me",
            'onok': function onok() {
              self.set('acknowledged', true);
            }
          }).show();
        }
      });
    },

    namespace: (function () {
      return this.get('country') + '.' + this.get('district');
    }).property('country', 'district'),

    send: function send() {
      var current_timestamp = moment.utc().add('hours', 2).toISOString();
      this.set('timestamp_sent', current_timestamp);
      var booking_msg = {
        metadata: {
          timestamp_sent: current_timestamp,
          type: 'booking'
        },
        data: {
          country: this.get('country'),
          district: this.get('district'),
          location: this.get('location'),
          vehicle_type: this.get('vehicle_type'),
          requested_time: this.get('requested_time')
        }

      };

      var url = config['default'].SERVER_BASE_ADDRESS + 'customer/' + Customer['default'].current_customer.get('id') + '/booking';
      var self = this;
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(url, {
          method: 'POST',
          data: JSON.stringify(booking_msg),
          dataType: "json",
          contentType: 'application/json',
          success: function success(response) {
            self.set('id', response.data.booking_id);
            self.set('timestamp_arrived', response.metadata.timestamp_arrived);
            self.set('is_new', false);
            resolve();
          },
          error: function error(reason) {
            reject(reason);
          }
        });
      });
    },
    socket_listen: (function () {
      //Creating websocket communication in response to id change.
      var comm = WebSocketCommunicator['default'].create({ namespace: this.get('namespace'), booking: this });
      this.set('communicator', comm);
    }).observes('id')
  });

  Booking.reopenClass({
    current_booking: null
  });

  exports['default'] = Booking;

});
define('sacekaj-me/models/coordinator', ['exports', 'ember', 'sacekaj-me/models/obj-hash'], function (exports, Ember, ObjHash) {

  'use strict';

  exports['default'] = Ember['default'].Object.extend(Ember['default'].Evented, {
    objectMap: Ember['default'].computed(function () {
      return ObjHash['default'].create();
    }),

    getObject: function getObject(id, ops) {
      ops = ops || {};
      var payload = this.get('objectMap').getObj(id);

      if (payload.ops.source) {
        payload.ops.source.sendAction('action', payload.obj);
      }

      if (payload.ops.target) {
        payload.ops.target.sendAction('action', payload.obj);
      }

      this.trigger("objectMoved", { obj: payload.obj, source: payload.ops.source, target: ops.target });

      return payload.obj;
    },

    setObject: function setObject(obj, ops) {
      ops = ops || {};
      return this.get('objectMap').add({ obj: obj, ops: ops });
    }
  });

});
define('sacekaj-me/models/customer', ['exports', 'ember', 'sacekaj-me/models/base-model', 'sacekaj-me/config/environment'], function (exports, Ember, BaseModel, config) {

  'use strict';

  var Customer = BaseModel['default'].extend({
    id: '',
    first_name: '',
    last_name: '',
    email: '',
    tel_number: '',
    addresses: Ember['default'].A(),
    account: {
      username: '',
      password: ''
    },
    full_name: (function () {
      return this.get('first_name') + ' ' + this.get('last_name');
    }).property('first_name', 'last_name'),

    init: function init() {
      this.set('addresses', Ember['default'].A());
    },
    save: function save() {
      var self = this;
      var to_send = {
        first_name: this.get('first_name'),
        last_name: this.get('last_name'),
        email: this.get('email'),
        tel_number: this.get('tel_number'),
        account: {
          username: this.get('account.username'),
          password: this.get('account.password')
        },
        addresses: []
      };
      this.get('addresses').forEach(function (val) {
        to_send.addresses.push({ desc: val.description, content: val.content });
      });
      var method = 'POST';
      var url = config['default'].SERVER_BASE_ADDRESS + 'customer';
      if (!this.get('is_new')) {
        method = 'PUT';
        url = config['default'].SERVER_BASE_ADDRESS + 'customer/' + this.get('id');
      }
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(url, {
          method: method,
          data: JSON.stringify(to_send),
          dataType: "json",
          contentType: 'application/json',
          success: function success(response) {
            self.set('id', response.id);
            self.set('is_new', false);
            resolve();
          },
          error: function error(reason) {
            reject(reason);
          }
        });
      });
    }
  });

  Customer.reopenClass({
    current_customer: {},
    jwt: {},
    get_by_id: function get_by_id(id) {
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(config['default'].SERVER_BASE_ADDRESS + '/customer/' + provider_id + '/local-branch', {
          method: 'GET',
          contentType: 'application/json',
          success: function success(response) {
            resolve(response);
          },
          error: function error(reason) {
            reject(reason);
          }
        });
      });
    },
    check_credentials: function check_credentials(credential_data) {
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(config['default'].SERVER_BASE_ADDRESS + 'security/credentials', {
          method: 'POST',
          data: JSON.stringify(credential_data),
          contentType: 'application/json',
          success: function success(response) {
            var customer_data = response.customer;
            Customer.jwt = response.jwt;
            var data1 = {
              id: customer_data.id,
              first_name: customer_data.first_name,
              last_name: customer_data.last_name,
              email: customer_data.email,
              account: customer_data.account,
              tel_number: customer_data.tel_number,
              is_new: false
            };

            var customer = BaseModel['default'].__set_object(Customer, data1);
            customer.set('addresses', Ember['default'].A());
            customer_data.addresses.forEach(function (item) {
              customer.get('addresses').pushObject({
                description: item.desc,
                content: item.content
              });
            });
            Customer.current_customer = customer;
            //this does not belong here, but....
            Ember['default'].$.ajaxSetup({
              headers: { 'Authorization': 'Bearer ' + response.jwt }
            });
            resolve(customer);
          },
          error: function error(reason) {
            reject(reason);
          }
        });
      });
    }
  });

  exports['default'] = Customer;

});
define('sacekaj-me/models/obj-hash', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Object.extend({
    content: {},
    contentLength: 0,

    add: function add(obj) {
      var id = this.generateId();
      this.get('content')[id] = obj;
      this.incrementProperty("contentLength");
      return id;
    },

    getObj: function getObj(key) {
      var res = this.get('content')[key];
      if (!res) {
        throw "no obj for key " + key;
      }
      return res;
    },

    generateId: function generateId() {
      var num = Math.random() * 1000000000000.0;
      num = parseInt(num);
      num = "" + num;
      return num;
    },

    keys: function keys() {
      var res = [];
      for (var key in this.get('content')) {
        res.push(key);
      }
      return Ember['default'].A(res);
    },

    lengthBinding: "contentLength"
  });

});
define('sacekaj-me/models/scheduled-ride', ['exports', 'sacekaj-me/models/base-model'], function (exports, BaseModel) {

  'use strict';

  //import Ember from 'ember';
  var ScheduledRide = BaseModel['default'].extend({
    username: null,
    password: null,
    first_name: '',
    laste_name: '',
    mobile_number: null,
    role: null,
    is_admin: false,
    init: function init() {
      this.set('id', BaseModel['default'].__guid());
      this.set('username', '');
      this.set('password', '');
      this.set('first_name', '');
      this.set('last_name', '');
      this.set('role', null);
      this.set('is_admin', false);
    },
    save: function save() {}
  });

  ScheduledRide.reopenClass({
    findAll: function findAll() {}
  });

  exports['default'] = ScheduledRide;

});
define('sacekaj-me/models/user', ['exports', 'ember', 'sacekaj-me/models/base-model', 'sacekaj-me/config/environment'], function (exports, Ember, BaseModel, config) {

  'use strict';

  var User = BaseModel['default'].extend({
    username: null,
    password: null,
    name: null,

    init: function init() {
      //this.set('id',BaseModel.__guid());
      /*this.set('username','');
      this.set('password','');*/
    },

    save: function save() {

      var self = this;
      var rest_method = '';
      var rest_endpoint = '';
      /*if(this.get('is_new')){
        rest_method = 'POST';
        rest_endpoint = config.api_endpoint+'/users';
      }else{
        rest_method = 'PUT';
        rest_endpoint = config.api_endpoint+'/users/'+this.get('id');
      }*/

      /*
          var to_send={
            id:this.get('id'),
            username:this.get('username'),
            password:this.get('password'),
            name: this.get('name'),
            role: this.get('role'),
            is_admin: this.get('role')==='administrator'?true:false
          };
      
          Ember.$.ajax(rest_endpoint,{
            method:rest_method,
            data:JSON.stringify(to_send),
            contentType:'application/json',
            dataType:'json',
            success:function(response){
              self.set('is_new',false);
            },
            error:function(reason){
              console.log(reason);
            }
          });
      
          */
    }
  });

  User.reopenClass({
    //collection: Ember.A(),
    logged_in_user: null,
    JWT: '', //Current user token
    logoff: function logoff() {
      User.logged_in_user = User.create();
    },
    find_by_credentials: function find_by_credentials(username, password, callback) {
      var self = this;
      var rest_method = 'POST'; //Choosing insert/update
      var rest_endpoint = config['default'].api_endpoint + '/login';
      var to_send = {
        username: username,
        password: password
      };
      Ember['default'].$.ajax(rest_endpoint, {
        method: rest_method,
        data: JSON.stringify(to_send),
        contentType: 'application/json',
        dataType: 'json',
        success: function success(response) {
          if (Object.keys(response.customer).length > 0) {
            User.logged_in_user = self.__set_object(User, response.customer);
            User.JWT = response.jwt;
          }
          callback(User.logged_in_user, response.jwt);
        },
        error: function error(reason) {
          console.log(reason);
        }
      });
    },
    reset_password: function reset_password(username) {
      var self = this;
      var rest_method = 'POST'; //Choosing insert/update
      var rest_endpoint = config['default'].SERVER_BASE_ADDRESS + 'account/password_reset';

      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(rest_endpoint, {
          method: rest_method,
          data: JSON.stringify({ command: 'reset_password', params: { user: username } }),
          contentType: 'application/json',
          dataType: 'json',
          success: function success(response) {
            resolve(response);
          },
          error: function error(_error) {
            reject(_error);
          }
        });
      });
    }
  });

  exports['default'] = User;

});
define('sacekaj-me/models/ws-communicator', ['exports', 'ember', 'sacekaj-me/config/environment', 'sacekaj-me/models/bid', 'sacekaj-me/models/customer'], function (exports, Ember, config, Bid, Customer) {

  'use strict';

  var WebSocketCommunicator = Ember['default'].Object.extend({
    socket: null,
    url: '',
    namespace: '',
    booking: null,
    init: function init() {
      this._super();
      console.log('Inicijalizacija soketa');
      var self = this;
      var socket_options = config['default'].WS_ADDITIONAL_OPTIONS;

      socket_options['reconnection'] = true;
      socket_options['reconnectionDelay'] = 1000;
      socket_options['reconnectionDelayMax'] = 2000;
      socket_options['transports'] = ['websocket'];
      socket_options['force new connection'] = true;
      socket_options['forceNew'] = true;
      socket_options['query'] = 'token=' + Customer['default'].jwt;
      socket_options['path'] = '/customer/socket.io';

      var namespaced_socket = io(config['default'].WSBASE_ADDRESS, socket_options);

      namespaced_socket.on('connect', function () {
        console.log('Normalno povezivanje.');
        console.log('Soket povezan na ' + config['default'].HOST_ADDRESS);
        //Rethrow given registration through webocket
        var msg = {
          metadata: {
            timestamp_arrived: self.get('booking.timestamp_arrived'),
            type: 'booking_registration'
          },
          data: {
            booking_namespace: self.get('namespace'),
            booking_id: self.get('booking.id')
          }
        };
        if (!self.get('booking.submitted')) {
          namespaced_socket.emit('register', JSON.stringify(msg));
          self.set('booking.submitted', true);
        }
      });

      namespaced_socket.on('connect_timeot', function () {
        console.log('connection timeout');
      });
      namespaced_socket.on('connect_error', function () {
        console.log('Greška u komunikaciji sa serverom.');
        self.get('socket').disconnect(true);
      });

      namespaced_socket.on('disconnect', function () {
        if (self.get('booking.acknowledged')) {
          self.get('booking').destroy();
        }
      });

      namespaced_socket.on('reconnect', function () {
        //Rethrow given registration through webocket
        var msg = {
          metadata: {
            timestamp_arrived: self.get('booking.timestamp_arrived'),
            type: 'booking_registration'
          },
          data: {
            booking_namespace: self.get('namespace'),
            booking_id: self.get('booking.id')
          }
        };
        namespaced_socket.emit('re_register', JSON.stringify(msg));
      });
      //Response from dispatcher to customer
      namespaced_socket.on('BID_PROPOSED', function (bid) {
        var new_bid = Bid['default'].create(JSON.parse(bid).data);
        new_bid.set('booking', self.get('booking'));
        self.get('booking').add_bid(new_bid);
      });
      //Acknowledge from customer to dispatcher
      namespaced_socket.on('BID_ACKNOWLEDGED', function (bid) {
        var bid_json = JSON.parse(bid);
        self.get('booking').acknowledge_bid(bid_json.data.dispatcher_id);
      });

      namespaced_socket.on('BOOKING_TIMED_OUT', function (msg) {
        var booking_id = msg.data.booking_id;
        self.get('booking').timeout_bookings();
      });

      namespaced_socket.on("error", function (err) {
        console.log("SOCKET ERROR: ");
        console.log(err.msg);
      });

      namespaced_socket.on("re_register_registered_bids", function (bids_obj) {
        var acknowledged_bid = null;
        bids_obj.forEach(function (bid_item) {
          var converted_state = '';
          switch (bid_item.state) {
            case "ACKNOWLEDGED":
              converted_state = Bid['default'].ACKNOWLEDGED_STATE;
              break;
            case "PROPOSED":
              converted_state = Bid['default'].PROPOSED_STATE;
              break;
            case "CONFIRMED_STATE":
              converted_state = Bid['default'].CONFIRMED_STATE;
              break;
            case "TIMED_OUT":
              converted_state = Bid['default'].TIMED_OUT_STATE;
              break;

          }

          var constructed_from_message = {
            timestamp: bid_item.timestamp_sent,
            provider: bid_item.provider,
            state: converted_state,
            estimated_pickup_time: bid_item.estimated_pickup_time,
            price_per_km: bid_item.price_per_km,
            dispatcher_id: bid_item.dispatcher_id,
            dispatcher_name: bid_item.dispatcher_name,
            vehicle_number: bid_item.vehicle_number,
            local_branch_id: bid_item.local_branch_id
          };
          self.get('booking').purge_bids();
          console.log(constructed_from_message);
          var new_bid = Bid['default'].create(constructed_from_message);
          console.log("Converted state", converted_state);
          new_bid.set('state', converted_state);
          new_bid.set('booking', self.get('booking'));
          self.get('booking').add_bid(new_bid);
          console.log(bid_item.state);
          if (bid_item.state === 'ACKNOWLEDGED') {
            acknowledged_bid = new_bid;
          }
        });
        if (acknowledged_bid) {
          console.log('calling acknowledge bid!!!');
          self.get('booking').acknowledge_bid(acknowledged_bid.get('dispatcher_id'));
        }
      });

      this.set('socket', namespaced_socket);
    },
    send_bid_confirmation: function send_bid_confirmation(msg) {
      var msg_str = JSON.stringify(msg);
      this.get('socket').emit('BID_ACCEPTED', msg);
    },
    close: function close() {
      this.get('socket').disconnect(true); //.emit('DISCONNECT_CLIENT','');
    }
  });

  exports['default'] = WebSocketCommunicator;

});
define('sacekaj-me/router', ['exports', 'ember', 'sacekaj-me/config/environment'], function (exports, Ember, config) {

  'use strict';

  var Router = Ember['default'].Router.extend({
    location: config['default'].locationType
  });

  Router.map(function () {
    this.route('login');
    this.route('status', { path: '/status/:booking_id' });
    this.route('schedule');
    this.route('history');
    this.route('advertisement');
    this.route('register');
    this.route('user', function () {
      this.route('preferences');
    });
    this.route('settings');
  });

  exports['default'] = Router;

});
define('sacekaj-me/routes/advertisement', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Route.extend({});

});
define('sacekaj-me/routes/application', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    fb: Ember['default'].inject.service(),
    beforeModel: function beforeModel() {
      return this.get('fb').FBInit();
    },
    actions: {
      didTransition: function didTransition() {
        if (!this.controllerFor("application").get('is_user_logged')) {
          this.transitionTo('login');
        }
      }
    }
  });

});
define('sacekaj-me/routes/history', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    actions: {
      didTransition: function didTransition() {
        if (!this.controllerFor("application").get('is_user_logged')) {
          this.transitionTo('login');
        }
      }
    }
  });

});
define('sacekaj-me/routes/index', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    redirect: function redirect() {

      if (this.controllerFor("application").get('is_user_logged')) {
        this.transitionTo('status');
      } else {
        this.transitionTo('login');
      }
    }
  });

});
define('sacekaj-me/routes/register', ['exports', 'ember', 'sacekaj-me/models/customer'], function (exports, Ember, Customer) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    setupController: function setupController(controller, model) {
      if (Object.keys(Customer['default'].current_customer).length !== 0) {
        controller.set('model', Customer['default'].current_customer);
      } else {
        var new_model = Customer['default'].create();
        controller.set('model', new_model);
        Customer['default'].current_customer = new_model;
      }
    },
    actions: {
      didTransition: function didTransition() {
        /*
        if (!this.controllerFor("application").get('is_user_logged')) {
          this.transitionTo('login');
        }
        */
      }
    }
  });

});
define('sacekaj-me/routes/schedule', ['exports', 'ember', 'sacekaj-me/models/customer', 'sacekaj-me/models/booking'], function (exports, Ember, Customer, Booking) {

    'use strict';

    exports['default'] = Ember['default'].Route.extend({
        geolocation: Ember['default'].inject.service(),

        setupController: function setupController(controller) {
            controller.set('model', Customer['default'].current_customer);
        }
    });

});
define('sacekaj-me/routes/settings', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Route.extend({});

});
define('sacekaj-me/routes/status', ['exports', 'ember', 'sacekaj-me/models/booking'], function (exports, Ember, Booking) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    setupController: function setupController(controller) {
      controller.set('model', Booking['default'].current_booking);
      return controller;
    },
    actions: {
      willTransition: function willTransition() {
        var current_booking = Booking['default'].current_booking.get('communicator').close();
      }
    }
  });

});
define('sacekaj-me/routes/user/preferences', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    actions: {
      didTransition: function didTransition() {
        if (!this.controllerFor("application").get('is_user_logged')) {
          this.transitionTo('login');
        }
      }
    }
  });

});
define('sacekaj-me/routes/user', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({ actions: {
      didTransition: function didTransition() {
        if (!this.controllerFor("application").get('is_user_logged')) {
          this.transitionTo('login');
        }
      }
    }
  });

});
define('sacekaj-me/services/drag-coordinator', ['exports', 'ember-drag-drop/services/drag-coordinator'], function (exports, DragCoordinatorService) {

	'use strict';

	exports['default'] = DragCoordinatorService['default'];

});
define('sacekaj-me/services/fb', ['exports', 'ember-cli-facebook-js-sdk/services/fb'], function (exports, fb) {

	'use strict';



	exports['default'] = fb['default'];

});
define('sacekaj-me/services/geolocation', ['exports', 'ember', 'sacekaj-me/config/environment'], function (exports, Ember, config) {

  'use strict';

  exports['default'] = Ember['default'].Service.extend(Ember['default'].Evented, {
    country: '',
    district: '',
    settings: Ember['default'].inject.service(),
    estimate_location: function estimate_location() {
      var url = config['default'].SERVER_BASE_ADDRESS + 'geolocation',
          self = this;
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(url, {
          method: 'GET',
          dataType: "json",
          contentType: 'application/json',
          success: function success(response) {
            self.set('country', response.country);
            var city = response.city.replace(/\(|\)/g, '').replace(/ /g, '');
            self.set('district', city);

            var msg = {};

            var saved_location = self.get('settings.settings_values_index').location;
            var estimated_location = { country: response.country, district: response.stateprov.replace(/\(|\)/g, '').replace(/ /g, '') };
            console.log(saved_location.id);
            console.log(estimated_location.country + '.' + estimated_location.district);
            var location_exists = self.get('settings').does_location_exists(estimated_location.country, estimated_location.district);
            msg.notify = false;
            if (saved_location.id !== estimated_location.country + '.' + estimated_location.district) {
              msg.notify = true;
              if (location_exists) {
                msg.changeable = true;
              } else {
                msg.changeable = false;
              }
            }
            msg.saved_location = saved_location;
            msg.estimated_location = estimated_location;
            resolve(msg);
          },
          error: function error(reason) {
            console.log(reason);
          }
        });
      });
    }

  });

});
define('sacekaj-me/services/i18n', ['exports', 'ember-i18n/services/i18n'], function (exports, i18n) {

	'use strict';



	exports['default'] = i18n['default'];

});
define('sacekaj-me/services/moment', ['exports', 'ember', 'sacekaj-me/config/environment', 'ember-moment/services/moment'], function (exports, Ember, config, MomentService) {

  'use strict';

  exports['default'] = MomentService['default'].extend({
    defaultFormat: Ember['default'].get(config['default'], 'moment.outputFormat')
  });

});
define('sacekaj-me/services/settings', ['exports', 'ember', 'sacekaj-me/models/customer', 'sacekaj-me/config/environment'], function (exports, Ember, Customer, config) {

  'use strict';

  exports['default'] = Ember['default'].Service.extend({
    i18n: Ember['default'].inject.service(),
    settings: Ember['default'].A(),
    settings_values_index: {},
    init: function init() {
      //this.__get_global_settings();
      //this.__get_user_settings();
    },

    change_value: function change_value(key, value) {
      this.get('settings_values_index')[key] = value;
      switch (key) {
        case 'location':
          this.__handle_location(value);
          break;
        case 'language':
          this.__handle_language(value);
          break;
      }
    },

    save_current_settings: function save_current_settings() {
      var self = this,
          customer_id = Customer['default'].current_customer.get('id'),
          url = config['default'].SERVER_BASE_ADDRESS + 'customer/' + customer_id + '/settings';
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(url, {
          method: 'PUT',
          contentType: 'application/json',
          data: JSON.stringify(self.get('settings_values_index')),
          success: function success(response) {
            console.log(response);
            resolve(response);
          },
          error: function error(err) {
            console.log(err);
            reject(err);
          }
        });
      });
    },

    load_global_settings: function load_global_settings() {
      var self = this,
          url = config['default'].SERVER_BASE_ADDRESS + 'configuration?q=system.production.customer.global.predefined';
      self.set('settings', Ember['default'].A());
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(url, {
          method: 'GET',
          contentType: 'application/json',
          success: function success(response) {
            var has_to_be_saved = Object.keys(self.get('settings_values_index')).length == 0;
            response.forEach(function (value) {
              /**
              * This rule says:
              * If the value with this name is present in index, than read it and
              * place use it instead of default value, use default othervise.
              */
              if (!(value.name in self.get('settings_values_index'))) {
                var converted = JSON.parse(value.value.value);
                self.get('settings_values_index')[value.name] = converted;
                value.value = converted;
              } else {
                value.value = self.get('settings_values_index')[value.name];
              }

              /**
              * Handle setting constraint part....
              */
              if (value.constraint && value.constraint instanceof Array) {
                var constr = [];
                value.constraint.forEach(function (val) {
                  constr.push(JSON.parse(val.value));
                });
                value.constraint = constr;
              }
              self.get('settings').pushObject(value);
            });
            self.__apply_configuration();

            //If the user enters for the first time it has to save it's config:
            if (has_to_be_saved) {
              self.save_current_settings().then(function () {
                resolve();
              });
            } else {
              resolve();
            }
          },
          error: function error(reason) {
            console.log(reason);
            reject(reason);
          }
        });
      });
    },
    does_location_exists: function does_location_exists(country, city) {
      var location_exists = false;
      this.get('settings').forEach(function (item) {
        if (item.name === 'location') {
          item.constraint.forEach(function (country_item) {
            if (country === country_item.country.id) {
              country_item.districts.forEach(function (registered_city) {
                if (city == registered_city.id) {
                  location_exists = true;
                }
              });
            }
          });
        }
      });
      return location_exists;
    },
    reload_user_settings: function reload_user_settings() {
      var self = this;
      var customer_id = Customer['default'].current_customer.get('id'),
          url = config['default'].SERVER_BASE_ADDRESS + 'customer/' + customer_id + '/settings';
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        Ember['default'].$.ajax(url, {
          method: 'GET',
          contentType: 'application/json',
          success: function success(response) {
            Customer['default'].current_customer.set('account.settings', response.settings);
            self.set('settings_values_index', Customer['default'].current_customer.account.settings);
            resolve(response);
          },
          error: function error(err) {
            reject(err);
          }
        });
      });
    },
    __apply_configuration: function __apply_configuration() {
      for (var property in this.get('settings_values_index')) {
        switch (property) {
          case 'location':
            this.__handle_location();
            break;
          case 'language':
            this.__handle_language(this.get('settings_values_index')[property]);
            break;
        }
      }
    },
    //PARAMETER HANDLERS...
    __handle_location: function __handle_location(location_val) {
      console.log('location:');
      console.log(location_val);
    },
    __handle_language: function __handle_language(language_val) {
      this.set('i18n.locale', language_val.id);
    }
  });
  //END PARAMETER HANDLERS

});
define('sacekaj-me/templates/advertisement', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/advertisement.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["content","outlet",["loc",[null,[1,0],[1,10]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/templates/application', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 12,
                "column": 10
              },
              "end": {
                "line": 18,
                "column": 10
              }
            },
            "moduleName": "sacekaj-me/templates/application.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("          ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("ul");
            dom.setAttribute(el1,"class","title-area");
            var el2 = dom.createTextNode("\n            ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("li");
            dom.setAttribute(el2,"class","name");
            var el3 = dom.createTextNode("\n              ");
            dom.appendChild(el2, el3);
            var el3 = dom.createElement("b");
            var el4 = dom.createComment("");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("\n            ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n          ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1, 1]),0,0);
            return morphs;
          },
          statements: [
            ["content","logged_user.full_name",["loc",[null,[15,17],[15,42]]]]
          ],
          locals: [],
          templates: []
        };
      }());
      var child1 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 25,
                  "column": 16
                },
                "end": {
                  "line": 25,
                  "column": 60
                }
              },
              "moduleName": "sacekaj-me/templates/application.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [
              ["inline","t",["menu.schedule"],[],["loc",[null,[25,39],[25,60]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        var child1 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 26,
                  "column": 16
                },
                "end": {
                  "line": 26,
                  "column": 68
                }
              },
              "moduleName": "sacekaj-me/templates/application.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [
              ["inline","t",["menu.advertising"],[],["loc",[null,[26,44],[26,68]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        var child2 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 28,
                  "column": 16
                },
                "end": {
                  "line": 28,
                  "column": 61
                }
              },
              "moduleName": "sacekaj-me/templates/application.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [
              ["inline","t",["menu.myaccount"],[],["loc",[null,[28,39],[28,61]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        var child3 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 30,
                  "column": 16
                },
                "end": {
                  "line": 30,
                  "column": 60
                }
              },
              "moduleName": "sacekaj-me/templates/application.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [
              ["inline","t",["menu.settings"],[],["loc",[null,[30,39],[30,60]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 23,
                "column": 10
              },
              "end": {
                "line": 32,
                "column": 10
              }
            },
            "moduleName": "sacekaj-me/templates/application.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createElement("label");
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createElement("label");
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("<li>{{#link-to \"history\"}}<i class=\"fa fa-history\"></i> Istorija{{/link-to}}</li>");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("li");
            var el2 = dom.createElement("a");
            dom.setAttribute(el2,"href","#");
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [15, 0]);
            var morphs = new Array(8);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 0]),0,0);
            morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]),0,0);
            morphs[2] = dom.createMorphAt(dom.childAt(fragment, [5]),0,0);
            morphs[3] = dom.createMorphAt(dom.childAt(fragment, [7, 0]),0,0);
            morphs[4] = dom.createMorphAt(dom.childAt(fragment, [9]),0,0);
            morphs[5] = dom.createMorphAt(dom.childAt(fragment, [13]),0,0);
            morphs[6] = dom.createElementMorph(element0);
            morphs[7] = dom.createMorphAt(element0,0,0);
            return morphs;
          },
          statements: [
            ["inline","t",["menu.general"],[],["loc",[null,[24,23],[24,43]]]],
            ["block","link-to",["schedule"],[],0,null,["loc",[null,[25,16],[25,72]]]],
            ["block","link-to",["advertisement"],[],1,null,["loc",[null,[26,16],[26,80]]]],
            ["inline","t",["menu.settings"],[],["loc",[null,[27,23],[27,44]]]],
            ["block","link-to",["register"],[],2,null,["loc",[null,[28,16],[28,73]]]],
            ["block","link-to",["settings"],[],3,null,["loc",[null,[30,16],[30,72]]]],
            ["element","action",["logoff"],[],["loc",[null,[31,28],[31,47]]]],
            ["inline","t",["user.loginpage.logout"],[],["loc",[null,[31,48],[31,77]]]]
          ],
          locals: [],
          templates: [child0, child1, child2, child3]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 42,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/application.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("header");
          dom.setAttribute(el1,"class","sacme-header");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("img");
          dom.setAttribute(el2,"src","images/sacekajme300.png");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","off-canvas-wrap");
          dom.setAttribute(el1,"data-offcanvas","");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","inner-wrap");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("nav");
          dom.setAttribute(el3,"class","tab-bar");
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("section");
          dom.setAttribute(el4,"class","left-small");
          var el5 = dom.createTextNode("\n          ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("a");
          dom.setAttribute(el5,"class","left-off-canvas-toggle menu-icon");
          dom.setAttribute(el5,"href","#");
          var el6 = dom.createElement("span");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("section");
          dom.setAttribute(el4,"class","right tab-bar-selection");
          var el5 = dom.createTextNode("\n");
          dom.appendChild(el4, el5);
          var el5 = dom.createComment("");
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("        ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("aside");
          dom.setAttribute(el3,"class","left-off-canvas-menu");
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("ul");
          dom.setAttribute(el4,"class","off-canvas-list");
          var el5 = dom.createTextNode("\n");
          dom.appendChild(el4, el5);
          var el5 = dom.createComment("");
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("        ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("main");
          dom.setAttribute(el3,"class","main-section");
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("a");
          dom.setAttribute(el3,"class","exit-off-canvas");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [3, 1]);
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(dom.childAt(element1, [1, 3]),1,1);
          morphs[1] = dom.createMorphAt(dom.childAt(element1, [3, 1]),1,1);
          morphs[2] = dom.createMorphAt(dom.childAt(element1, [5]),1,1);
          return morphs;
        },
        statements: [
          ["block","if",[["get","is_user_logged",["loc",[null,[12,16],[12,30]]]]],[],0,null,["loc",[null,[12,10],[18,17]]]],
          ["block","if",[["get","is_user_logged",["loc",[null,[23,16],[23,30]]]]],[],1,null,["loc",[null,[23,10],[32,17]]]],
          ["content","outlet",["loc",[null,[36,8],[36,18]]]]
        ],
        locals: [],
        templates: [child0, child1]
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 42,
              "column": 0
            },
            "end": {
              "line": 49,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/application.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("header");
          dom.setAttribute(el1,"class","not-logged-header");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("img");
          dom.setAttribute(el2,"src","images/sacekajme300.png");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("main");
          dom.setAttribute(el1,"class","not-logged");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [3]),1,1);
          return morphs;
        },
        statements: [
          ["content","outlet",["loc",[null,[47,4],[47,14]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 50,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/application.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","is_user_logged",["loc",[null,[1,6],[1,20]]]]],[],0,1,["loc",[null,[1,0],[49,7]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('sacekaj-me/templates/components/accordion-wrapper', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 4
            },
            "end": {
              "line": 3,
              "column": 121
            }
          },
          "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode(": ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("/");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          morphs[1] = dom.createMorphAt(fragment,2,2,contextualElement);
          morphs[2] = dom.createMorphAt(fragment,4,4,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["inline","t",["settings.language_label"],[],["loc",[null,[3,44],[3,75]]]],
          ["content","model.value.name",["loc",[null,[3,77],[3,97]]]],
          ["content","model.value.variant",["loc",[null,[3,98],[3,121]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 4
            },
            "end": {
              "line": 4,
              "column": 125
            }
          },
          "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode(": ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("/");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          morphs[1] = dom.createMorphAt(fragment,2,2,contextualElement);
          morphs[2] = dom.createMorphAt(fragment,4,4,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["inline","t",["settings.location_label"],[],["loc",[null,[4,44],[4,75]]]],
          ["content","model.value.country",["loc",[null,[4,77],[4,100]]]],
          ["content","model.value.district",["loc",[null,[4,101],[4,125]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child2 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 9,
                "column": 10
              },
              "end": {
                "line": 17,
                "column": 10
              }
            },
            "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
          },
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("            ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1,"class","row");
            var el2 = dom.createTextNode("\n              ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","small-5 columns");
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n              ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","small-3 columns");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n              ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","small-1 columns");
            var el3 = dom.createElement("button");
            dom.setAttribute(el3,"class","tiny secondary button");
            var el4 = dom.createTextNode("X");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n              ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","small-1 columns");
            var el3 = dom.createElement("button");
            dom.setAttribute(el3,"class","tiny secondary button");
            var el4 = dom.createElement("i");
            dom.setAttribute(el4,"class","icon-down-open");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n              ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","small-1 columns end");
            var el3 = dom.createElement("button");
            dom.setAttribute(el3,"class","tiny secondary button");
            var el4 = dom.createElement("i");
            dom.setAttribute(el4,"class","icon-up-open");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n            ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element5 = dom.childAt(fragment, [1]);
            var element6 = dom.childAt(element5, [5, 0]);
            var element7 = dom.childAt(element5, [7, 0]);
            var element8 = dom.childAt(element5, [9, 0]);
            var morphs = new Array(4);
            morphs[0] = dom.createMorphAt(dom.childAt(element5, [1]),0,0);
            morphs[1] = dom.createElementMorph(element6);
            morphs[2] = dom.createElementMorph(element7);
            morphs[3] = dom.createElementMorph(element8);
            return morphs;
          },
          statements: [
            ["content","value_item.value",["loc",[null,[11,43],[11,63]]]],
            ["element","action",["remove_value_item",["get","value_item",["loc",[null,[13,110],[13,120]]]]],[],["loc",[null,[13,81],[13,122]]]],
            ["element","action",["value_item_down",["get","value_item",["loc",[null,[14,108],[14,118]]]]],[],["loc",[null,[14,81],[14,120]]]],
            ["element","action",["value_item_up",["get","value_item",["loc",[null,[15,110],[15,120]]]]],[],["loc",[null,[15,85],[15,122]]]]
          ],
          locals: ["value_item"],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 8,
              "column": 8
            },
            "end": {
              "line": 18,
              "column": 8
            }
          },
          "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","each",[["get","model.possible_values",["loc",[null,[9,18],[9,39]]]]],[],0,null,["loc",[null,[9,10],[17,19]]]]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    var child3 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 20,
                "column": 8
              },
              "end": {
                "line": 22,
                "column": 8
              }
            },
            "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
          },
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode(" ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("br");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            morphs[1] = dom.createMorphAt(fragment,3,3,contextualElement);
            return morphs;
          },
          statements: [
            ["inline","radio-button",[],["name",["subexpr","@mut",[["get","model.name",["loc",[null,[21,28],[21,38]]]]],[],[]],"value",["subexpr","@mut",[["get","value_item.value",["loc",[null,[21,45],[21,61]]]]],[],[]],"htmlChecked",["subexpr","is-equal",[["get","value_item.value",["loc",[null,[21,84],[21,100]]]],["get","model.value",["loc",[null,[21,101],[21,112]]]]],[],["loc",[null,[21,74],[21,113]]]]],["loc",[null,[21,8],[21,115]]]],
            ["content","value_item.title",["loc",[null,[21,116],[21,136]]]]
          ],
          locals: ["value_item"],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 19,
              "column": 8
            },
            "end": {
              "line": 23,
              "column": 8
            }
          },
          "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","each",[["get","model.possible_values",["loc",[null,[20,16],[20,37]]]]],[],0,null,["loc",[null,[20,8],[22,17]]]]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    var child4 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 29,
                "column": 18
              },
              "end": {
                "line": 31,
                "column": 18
              }
            },
            "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
          },
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("                  ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("option");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("/");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element3 = dom.childAt(fragment, [1]);
            var morphs = new Array(3);
            morphs[0] = dom.createAttrMorph(element3, 'value');
            morphs[1] = dom.createMorphAt(element3,0,0);
            morphs[2] = dom.createMorphAt(element3,2,2);
            return morphs;
          },
          statements: [
            ["attribute","value",["concat",[["get","constraint.id",["loc",[null,[30,35],[30,48]]]]]]],
            ["content","constraint.name",["loc",[null,[30,52],[30,71]]]],
            ["content","constraint.variant",["loc",[null,[30,72],[30,94]]]]
          ],
          locals: ["constraint"],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 26,
              "column": 12
            },
            "end": {
              "line": 34,
              "column": 12
            }
          },
          "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("                ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("select");
          dom.setAttribute(el1,"style","width:100%;");
          var el2 = dom.createTextNode("\n                  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("option");
          dom.setAttribute(el2,"value","-1");
          var el3 = dom.createTextNode("---------------------------------------");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("                ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element4 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element4, 'onchange');
          morphs[1] = dom.createMorphAt(element4,3,3);
          return morphs;
        },
        statements: [
          ["attribute","onchange",["subexpr","action",["language_constraint_item_selected"],["value","target.value"],["loc",[null,[27,53],[27,120]]]]],
          ["block","each",[["get","model.constraint",["loc",[null,[29,26],[29,42]]]]],[],0,null,["loc",[null,[29,18],[31,27]]]]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    var child5 = (function() {
      var child0 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 40,
                  "column": 16
                },
                "end": {
                  "line": 42,
                  "column": 16
                }
              },
              "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
            },
            arity: 1,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("                ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("option");
              var el2 = dom.createComment("");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var morphs = new Array(2);
              morphs[0] = dom.createAttrMorph(element0, 'value');
              morphs[1] = dom.createMorphAt(element0,0,0);
              return morphs;
            },
            statements: [
              ["attribute","value",["concat",[["get","constraint.country.id",["loc",[null,[41,33],[41,54]]]],".",["get","district.id",["loc",[null,[41,59],[41,70]]]]]]],
              ["content","district.label",["loc",[null,[41,74],[41,92]]]]
            ],
            locals: ["district"],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 38,
                "column": 14
              },
              "end": {
                "line": 44,
                "column": 14
              }
            },
            "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
          },
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("                ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("optgroup");
            var el2 = dom.createTextNode("\n");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("                ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element1 = dom.childAt(fragment, [1]);
            var morphs = new Array(2);
            morphs[0] = dom.createAttrMorph(element1, 'label');
            morphs[1] = dom.createMorphAt(element1,1,1);
            return morphs;
          },
          statements: [
            ["attribute","label",["concat",[["get","constraint.country.label",["loc",[null,[39,35],[39,59]]]]]]],
            ["block","each",[["get","constraint.districts",["loc",[null,[40,24],[40,44]]]]],[],0,null,["loc",[null,[40,16],[42,25]]]]
          ],
          locals: ["constraint"],
          templates: [child0]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 35,
              "column": 12
            },
            "end": {
              "line": 46,
              "column": 12
            }
          },
          "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("            ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("select");
          dom.setAttribute(el1,"style","width:100%;");
          var el2 = dom.createTextNode("\n                ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("option");
          dom.setAttribute(el2,"value","-1");
          var el3 = dom.createTextNode("---------------------------------------");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("            ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element2 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element2, 'onchange');
          morphs[1] = dom.createMorphAt(element2,3,3);
          return morphs;
        },
        statements: [
          ["attribute","onchange",["subexpr","action",["location_constraint_item_selected"],["value","target.value"],["loc",[null,[36,49],[36,116]]]]],
          ["block","each",[["get","model.constraint",["loc",[null,[38,22],[38,38]]]]],[],0,null,["loc",[null,[38,14],[44,23]]]]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 52,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/accordion-wrapper.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("li");
        dom.setAttribute(el1,"class","accordion-navigation");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("a");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","content");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","settings-values");
        var el4 = dom.createTextNode("\n");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("        ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("div");
        dom.setAttribute(el4,"class","row");
        var el5 = dom.createTextNode("\n          ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","small-12 columns end");
        var el6 = dom.createTextNode("\n");
        dom.appendChild(el5, el6);
        var el6 = dom.createComment("");
        dom.appendChild(el5, el6);
        var el6 = dom.createComment("");
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("          ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element9 = dom.childAt(fragment, [0]);
        var element10 = dom.childAt(element9, [1]);
        var element11 = dom.childAt(element9, [3]);
        var element12 = dom.childAt(element11, [1]);
        var element13 = dom.childAt(element12, [4, 1]);
        var morphs = new Array(8);
        morphs[0] = dom.createElementMorph(element10);
        morphs[1] = dom.createMorphAt(element10,1,1);
        morphs[2] = dom.createMorphAt(element10,3,3);
        morphs[3] = dom.createAttrMorph(element11, 'id');
        morphs[4] = dom.createMorphAt(element12,1,1);
        morphs[5] = dom.createMorphAt(element12,2,2);
        morphs[6] = dom.createMorphAt(element13,1,1);
        morphs[7] = dom.createMorphAt(element13,2,2);
        return morphs;
      },
      statements: [
        ["element","action",["toggle",["get","model.name",["loc",[null,[2,23],[2,33]]]]],[],["loc",[null,[2,5],[2,35]]]],
        ["block","if",[["subexpr","is-equal",[["get","model.name",["loc",[null,[3,20],[3,30]]]],"language"],[],["loc",[null,[3,10],[3,42]]]]],[],0,null,["loc",[null,[3,4],[3,128]]]],
        ["block","if",[["subexpr","is-equal",[["get","model.name",["loc",[null,[4,20],[4,30]]]],"location"],[],["loc",[null,[4,10],[4,42]]]]],[],1,null,["loc",[null,[4,4],[4,132]]]],
        ["attribute","id",["concat",[["get","model.name",["loc",[null,[6,13],[6,23]]]]]]],
        ["block","if",[["subexpr","is-equal",[["get","model.type",["loc",[null,[8,24],[8,34]]]],"ordered_list"],[],["loc",[null,[8,14],[8,50]]]]],[],2,null,["loc",[null,[8,8],[18,15]]]],
        ["block","if",[["subexpr","is-equal",[["get","model.type",["loc",[null,[19,24],[19,34]]]],"list"],[],["loc",[null,[19,14],[19,42]]]]],[],3,null,["loc",[null,[19,8],[23,15]]]],
        ["block","if",[["subexpr","is-equal",[["get","model.name",["loc",[null,[26,28],[26,38]]]],"language"],[],["loc",[null,[26,18],[26,50]]]]],[],4,null,["loc",[null,[26,12],[34,19]]]],
        ["block","if",[["subexpr","is-equal",[["get","model.name",["loc",[null,[35,28],[35,38]]]],"location"],[],["loc",[null,[35,18],[35,50]]]]],[],5,null,["loc",[null,[35,12],[46,19]]]]
      ],
      locals: [],
      templates: [child0, child1, child2, child3, child4, child5]
    };
  }()));

});
define('sacekaj-me/templates/components/address-item', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 11,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/address-item.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","row collapsed bounded");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-10 columns");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("h5");
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("h4");
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-2 columns");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("    <a href=\"#\" class=\"small secondary button\"><i class=\"icon-pencil\"></i></a> ");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("a");
        dom.setAttribute(el3,"href","#");
        dom.setAttribute(el3,"class","small secondary button");
        var el4 = dom.createElement("i");
        dom.setAttribute(el4,"class","icon-trash");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(element0, [1]);
        var element2 = dom.childAt(element0, [3, 3]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(dom.childAt(element1, [1]),0,0);
        morphs[1] = dom.createMorphAt(dom.childAt(element1, [3]),0,0);
        morphs[2] = dom.createElementMorph(element2);
        return morphs;
      },
      statements: [
        ["content","model.description",["loc",[null,[3,8],[3,29]]]],
        ["content","model.content",["loc",[null,[4,8],[4,25]]]],
        ["element","action",["remove_item"],[],["loc",[null,[8,47],[8,71]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/templates/components/bid-item', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 13,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/bid-item.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","row");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","small-8 columns end");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("h3");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("h4");
        var el5 = dom.createTextNode("Dolazak: ");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode(" min");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("\n      <h5>0.10 € start</h5>\n      <h5>{{model.price_per_km}}€/km</h5>\n    ");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(element0, [1, 1]);
        var morphs = new Array(3);
        morphs[0] = dom.createElementMorph(element0);
        morphs[1] = dom.createMorphAt(dom.childAt(element1, [1]),0,0);
        morphs[2] = dom.createMorphAt(dom.childAt(element1, [3]),1,1);
        return morphs;
      },
      statements: [
        ["element","action",["bid_selected"],[],["loc",[null,[1,5],[1,30]]]],
        ["content","model.provider",["loc",[null,[4,10],[4,28]]]],
        ["content","model.estimated_pickup_time",["loc",[null,[5,19],[5,50]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/templates/components/date-picker', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/date-picker.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","date_placeholder");
        var el2 = dom.createTextNode("\n    ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("input");
        dom.setAttribute(el2,"type","text");
        dom.setAttribute(el2,"class","datepicker");
        dom.setAttribute(el2,"id","dp");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes() { return []; },
      statements: [

      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/templates/components/draggable-object-target', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/components/draggable-object-target.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("a");
          dom.setAttribute(el1,"href","#");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element0);
          morphs[1] = dom.createMorphAt(element0,1,1);
          return morphs;
        },
        statements: [
          ["element","action",["acceptForDrop"],[],["loc",[null,[2,14],[2,40]]]],
          ["content","yield",["loc",[null,[3,4],[3,13]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/components/draggable-object-target.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["content","yield",["loc",[null,[6,2],[6,11]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/draggable-object-target.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","enableClicking",["loc",[null,[1,6],[1,20]]]]],[],0,1,["loc",[null,[1,0],[7,7]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('sacekaj-me/templates/components/draggable-object', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/components/draggable-object.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("a");
          dom.setAttribute(el1,"href","#");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element0);
          morphs[1] = dom.createMorphAt(element0,1,1);
          return morphs;
        },
        statements: [
          ["element","action",["selectForDrag"],[],["loc",[null,[2,14],[2,40]]]],
          ["content","yield",["loc",[null,[3,4],[3,13]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/components/draggable-object.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["content","yield",["loc",[null,[6,2],[6,11]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 7
          }
        },
        "moduleName": "sacekaj-me/templates/components/draggable-object.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","enableClicking",["loc",[null,[1,6],[1,20]]]]],[],0,1,["loc",[null,[1,0],[7,7]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('sacekaj-me/templates/components/language-select', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 2
            },
            "end": {
              "line": 6,
              "column": 2
            }
          },
          "moduleName": "sacekaj-me/templates/components/language-select.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("option");
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element0, 'value');
          morphs[1] = dom.createAttrMorph(element0, 'selected');
          morphs[2] = dom.createMorphAt(element0,1,1);
          return morphs;
        },
        statements: [
          ["attribute","value",["concat",[["get","loc.id",["loc",[null,[3,21],[3,27]]]]]]],
          ["attribute","selected",["subexpr","is-equal",[["get","loc.id",["loc",[null,[3,51],[3,57]]]],["get","i18n.locale",["loc",[null,[3,58],[3,69]]]]],[],["loc",[null,[3,40],[3,71]]]]],
          ["content","loc.text",["loc",[null,[4,6],[4,18]]]]
        ],
        locals: ["loc"],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 8,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/language-select.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("select");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element1 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createElementMorph(element1);
        morphs[1] = dom.createMorphAt(element1,1,1);
        return morphs;
      },
      statements: [
        ["element","action",["setLocale"],["on","change"],["loc",[null,[1,8],[1,42]]]],
        ["block","each",[["get","locales",["loc",[null,[2,10],[2,17]]]]],[],0,null,["loc",[null,[2,2],[6,11]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('sacekaj-me/templates/components/object-bin', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 7,
                  "column": 4
                }
              },
              "moduleName": "sacekaj-me/templates/components/object-bin.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
              return morphs;
            },
            statements: [
              ["inline","yield",[["get","obj",["loc",[null,[6,14],[6,17]]]]],[],["loc",[null,[6,6],[6,19]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 8,
                "column": 2
              }
            },
            "moduleName": "sacekaj-me/templates/components/object-bin.hbs"
          },
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [
            ["block","draggable-object",[],["action","handleObjectDragged","content",["subexpr","@mut",[["get","obj",["loc",[null,[5,61],[5,64]]]]],[],[]]],0,null,["loc",[null,[5,4],[7,25]]]]
          ],
          locals: ["obj"],
          templates: [child0]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/components/object-bin.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","object-bin-title");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("br");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]),0,0);
          morphs[1] = dom.createMorphAt(fragment,5,5,contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["content","name",["loc",[null,[2,32],[2,40]]]],
          ["block","each",[["get","model",["loc",[null,[4,10],[4,15]]]]],[],0,null,["loc",[null,[4,2],[8,11]]]]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 10,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/object-bin.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","draggable-object-target",[],["action","handleObjectDropped"],0,null,["loc",[null,[1,0],[9,28]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('sacekaj-me/templates/components/radio-button', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/radio-button.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["content","yield",["loc",[null,[1,0],[1,9]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/templates/components/settings-item', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 1,
              "column": 41
            }
          },
          "moduleName": "sacekaj-me/templates/components/settings-item.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/components/settings-item.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["block","accordion-wrapper",[],["model",["subexpr","@mut",[["get","setting_item",["loc",[null,[1,27],[1,39]]]]],[],[]]],0,null,["loc",[null,[1,0],[1,63]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('sacekaj-me/templates/components/sortable-objects', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 1,
            "column": 9
          }
        },
        "moduleName": "sacekaj-me/templates/components/sortable-objects.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["content","yield",["loc",[null,[1,0],[1,9]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/templates/history', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/history.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["content","outlet",["loc",[null,[1,0],[1,10]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/templates/index', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/index.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["content","outlet",["loc",[null,[1,0],[1,10]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/templates/login', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 58,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/login.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("br");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("br");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","row gray-bgcol");
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","large-6 large-centered medium-12 columns end");
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("div");
          dom.setAttribute(el3,"class","signup-panel");
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("p");
          dom.setAttribute(el4,"class","welcome text-center");
          var el5 = dom.createElement("br");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("br");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4,"class","row collapse gray-bgcol");
          var el5 = dom.createTextNode("\n          ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("div");
          dom.setAttribute(el5,"class","small-10 small-centered columns");
          var el6 = dom.createTextNode("\n            ");
          dom.appendChild(el5, el6);
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          var el6 = dom.createTextNode("\n          ");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4,"class","row collapse gray-bgcol");
          var el5 = dom.createTextNode("\n          ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("div");
          dom.setAttribute(el5,"class","small-10 small-centered columns ");
          var el6 = dom.createTextNode("\n            ");
          dom.appendChild(el5, el6);
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          var el6 = dom.createTextNode("\n          ");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4,"class","row collapse gray-bgcol hidden");
          var el5 = dom.createTextNode("\n          ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("div");
          dom.setAttribute(el5,"class","small-10 small-centered columns");
          var el6 = dom.createTextNode("\n            ");
          dom.appendChild(el5, el6);
          var el6 = dom.createElement("p");
          dom.setAttribute(el6,"class","text-center");
          var el7 = dom.createComment("");
          dom.appendChild(el6, el7);
          dom.appendChild(el5, el6);
          var el6 = dom.createTextNode("\n          ");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4,"class","row collapse gray-bgcol");
          var el5 = dom.createTextNode("\n          ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("div");
          dom.setAttribute(el5,"class","small-10 small-centered text-left columns");
          var el6 = dom.createTextNode("\n            ");
          dom.appendChild(el5, el6);
          var el6 = dom.createElement("label");
          var el7 = dom.createComment("");
          dom.appendChild(el6, el7);
          var el7 = dom.createTextNode("\n              ");
          dom.appendChild(el6, el7);
          var el7 = dom.createComment("");
          dom.appendChild(el6, el7);
          var el7 = dom.createTextNode("\n            ");
          dom.appendChild(el6, el7);
          dom.appendChild(el5, el6);
          var el6 = dom.createTextNode("\n          ");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n        ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4,"class","row collapse gray-bgcol");
          var el5 = dom.createTextNode("\n          ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("div");
          dom.setAttribute(el5,"class","small-10 small-centered text-center columns");
          var el6 = dom.createTextNode("\n            ");
          dom.appendChild(el5, el6);
          var el6 = dom.createElement("a");
          dom.setAttribute(el6,"href","#");
          dom.setAttribute(el6,"class","large button expand orange-button");
          var el7 = dom.createComment("");
          dom.appendChild(el6, el7);
          dom.appendChild(el5, el6);
          var el6 = dom.createTextNode("\n          ");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n    ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n  ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","transparent");
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","text-center");
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("img");
          dom.setAttribute(el3,"src","images/taxi-button.png");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n  ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","large-6 large-centered medium-12 columns uppercase px16 end");
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("div");
          dom.setAttribute(el3,"class","transparent");
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4,"class","small-10 small-centered text-center columns");
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("a");
          dom.setAttribute(el5,"class","white-color");
          dom.setAttribute(el5,"href","#");
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n      ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("br");
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4,"class","small-10 small-centered text-center columns");
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("a");
          dom.setAttribute(el5,"class","white-color");
          dom.setAttribute(el5,"href","#");
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n      ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n    ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n  ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [3, 1, 1]);
          var element1 = dom.childAt(element0, [9, 1, 1]);
          var element2 = dom.childAt(element0, [11, 1, 1]);
          var element3 = dom.childAt(fragment, [5, 10, 1]);
          var element4 = dom.childAt(element3, [1, 1]);
          var element5 = dom.childAt(element3, [5, 1]);
          var morphs = new Array(11);
          morphs[0] = dom.createMorphAt(dom.childAt(element0, [3, 1]),1,1);
          morphs[1] = dom.createMorphAt(dom.childAt(element0, [5, 1]),1,1);
          morphs[2] = dom.createMorphAt(dom.childAt(element0, [7, 1, 1]),0,0);
          morphs[3] = dom.createMorphAt(element1,0,0);
          morphs[4] = dom.createMorphAt(element1,2,2);
          morphs[5] = dom.createElementMorph(element2);
          morphs[6] = dom.createMorphAt(element2,0,0);
          morphs[7] = dom.createElementMorph(element4);
          morphs[8] = dom.createMorphAt(element4,0,0);
          morphs[9] = dom.createElementMorph(element5);
          morphs[10] = dom.createMorphAt(element5,0,0);
          return morphs;
        },
        statements: [
          ["inline","input",[],["value",["subexpr","@mut",[["get","username",["loc",[null,[9,26],[9,34]]]]],[],[]],"class","form-control white","placeholder",["subexpr","t",["user.username"],[],["loc",[null,[9,74],[9,93]]]]],["loc",[null,[9,12],[9,95]]]],
          ["inline","input",[],["value",["subexpr","@mut",[["get","password",["loc",[null,[14,26],[14,34]]]]],[],[]],"class","form-control white","type","password","placeholder",["subexpr","t",["user.password"],[],["loc",[null,[14,90],[14,109]]]]],["loc",[null,[14,12],[14,111]]]],
          ["content","login_error_message",["loc",[null,[20,35],[20,58]]]],
          ["inline","t",["user.loginpage.remember.me"],[],["loc",[null,[25,19],[25,53]]]],
          ["inline","input",[],["type","checkbox","name","remember_me","checked",["subexpr","@mut",[["get","is_remembered",["loc",[null,[26,65],[26,78]]]]],[],[]]],["loc",[null,[26,14],[26,80]]]],
          ["element","action",["do_login"],[],["loc",[null,[32,66],[32,87]]]],
          ["inline","t",["user.loginpage.login"],[],["loc",[null,[32,88],[32,116]]]],
          ["element","action",["do_register"],[],["loc",[null,[48,40],[48,64]]]],
          ["inline","t",["user.loginpage.register"],[],["loc",[null,[48,65],[48,96]]]],
          ["element","action",["forgotten_password"],[],["loc",[null,[52,40],[52,71]]]],
          ["inline","t",["user.loginpage.forgot.password"],[],["loc",[null,[52,72],[52,110]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 59,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/login.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","should_show",["loc",[null,[1,6],[1,17]]]]],[],0,null,["loc",[null,[1,0],[58,7]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('sacekaj-me/templates/register', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 4
            },
            "end": {
              "line": 5,
              "column": 4
            }
          },
          "moduleName": "sacekaj-me/templates/register.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("h3");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]),0,0);
          return morphs;
        },
        statements: [
          ["inline","t",["user.register.title"],[],["loc",[null,[4,10],[4,37]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 61,
              "column": 12
            },
            "end": {
              "line": 65,
              "column": 12
            }
          },
          "moduleName": "sacekaj-me/templates/register.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("              ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","small-10 small-centered columns");
          var el2 = dom.createTextNode("\n                ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n              ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]),1,1);
          return morphs;
        },
        statements: [
          ["inline","t",["user.addresses.title"],[],["loc",[null,[63,16],[63,44]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child2 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 65,
              "column": 12
            },
            "end": {
              "line": 69,
              "column": 12
            }
          },
          "moduleName": "sacekaj-me/templates/register.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("              ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","small-10 small-centered columns");
          var el2 = dom.createTextNode("\n                ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n              ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]),1,1);
          return morphs;
        },
        statements: [
          ["inline","t",["user.addresses.missing"],[],["loc",[null,[67,16],[67,46]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child3 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 72,
                "column": 14
              },
              "end": {
                "line": 72,
                "column": 45
              }
            },
            "moduleName": "sacekaj-me/templates/register.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() { return []; },
          statements: [

          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 70,
              "column": 10
            },
            "end": {
              "line": 74,
              "column": 10
            }
          },
          "moduleName": "sacekaj-me/templates/register.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("            ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","small-10 small-centered columns");
          var el2 = dom.createTextNode("\n              ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n            ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]),1,1);
          return morphs;
        },
        statements: [
          ["block","address-item",[],["model",["subexpr","@mut",[["get","address",["loc",[null,[72,36],[72,43]]]]],[],[]]],0,null,["loc",[null,[72,14],[72,62]]]]
        ],
        locals: ["address"],
        templates: [child0]
      };
    }());
    var child4 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 95,
              "column": 0
            },
            "end": {
              "line": 111,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/register.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","transparent");
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","text-center");
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("img");
          dom.setAttribute(el3,"src","images/taxi-button.png");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n  ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","large-6 large-centered medium-12 columns uppercase px16 end");
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("div");
          dom.setAttribute(el3,"class","transparent");
          var el4 = dom.createTextNode("\n      ");
          dom.appendChild(el3, el4);
          var el4 = dom.createElement("div");
          dom.setAttribute(el4,"class","small-10 small-centered text-center columns");
          var el5 = dom.createTextNode("\n        ");
          dom.appendChild(el4, el5);
          var el5 = dom.createElement("a");
          dom.setAttribute(el5,"class","white-color");
          dom.setAttribute(el5,"href","#");
          var el6 = dom.createComment("");
          dom.appendChild(el5, el6);
          dom.appendChild(el4, el5);
          var el5 = dom.createTextNode("\n      ");
          dom.appendChild(el4, el5);
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode("\n    ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n  ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("br");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [0, 9, 1, 1, 1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element0);
          morphs[1] = dom.createMorphAt(element0,0,0);
          return morphs;
        },
        statements: [
          ["element","action",["do_login"],[],["loc",[null,[105,40],[105,61]]]],
          ["inline","t",["user.loginpage.login"],[],["loc",[null,[105,62],[105,90]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 112,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/register.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","row");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-10 small-centered columns");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","large-6 large-centered medium-12 columns");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","signup-panel");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("form");
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","row collapse");
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createComment("");
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n        ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","row collapse");
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createComment("");
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n        ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","row collapse");
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createComment("");
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n        ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","row collapse");
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createComment("");
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n        ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","row collapse");
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns ");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createComment("");
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns ");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createComment("");
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n        ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n\n\n\n");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment(" Ovaj obuhvaceni dio mozda da ide u posebni dio, kao posebna strana");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","row collapse");
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createElement("div");
        dom.setAttribute(el7,"class","row collapse");
        var el8 = dom.createTextNode("\n              ");
        dom.appendChild(el7, el8);
        var el8 = dom.createElement("div");
        dom.setAttribute(el8,"class","small-12 columns");
        var el9 = dom.createTextNode("\n                ");
        dom.appendChild(el8, el9);
        var el9 = dom.createComment("");
        dom.appendChild(el8, el9);
        var el9 = dom.createTextNode("\n              ");
        dom.appendChild(el8, el9);
        dom.appendChild(el7, el8);
        var el8 = dom.createTextNode("\n            ");
        dom.appendChild(el7, el8);
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createElement("div");
        dom.setAttribute(el7,"class","row collapse");
        var el8 = dom.createTextNode("\n              ");
        dom.appendChild(el7, el8);
        var el8 = dom.createElement("div");
        dom.setAttribute(el8,"class","small-10 columns");
        var el9 = dom.createTextNode("\n                ");
        dom.appendChild(el8, el9);
        var el9 = dom.createComment("");
        dom.appendChild(el8, el9);
        var el9 = dom.createTextNode("\n              ");
        dom.appendChild(el8, el9);
        dom.appendChild(el7, el8);
        var el8 = dom.createTextNode("\n              ");
        dom.appendChild(el7, el8);
        var el8 = dom.createElement("div");
        dom.setAttribute(el8,"class","small-2 columns");
        var el9 = dom.createTextNode("\n                ");
        dom.appendChild(el8, el9);
        var el9 = dom.createElement("a");
        dom.setAttribute(el9,"class","small secondary button");
        dom.setAttribute(el9,"href","#");
        var el10 = dom.createElement("i");
        dom.setAttribute(el10,"class","icon-plus");
        dom.appendChild(el9, el10);
        dom.appendChild(el8, el9);
        var el9 = dom.createTextNode("\n              ");
        dom.appendChild(el8, el9);
        dom.appendChild(el7, el8);
        var el8 = dom.createTextNode("\n            ");
        dom.appendChild(el7, el8);
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createComment(" Lista adresa - najjednostavnije moguce");
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","row collapse");
        var el7 = dom.createTextNode("\n");
        dom.appendChild(el6, el7);
        var el7 = dom.createComment("");
        dom.appendChild(el6, el7);
        var el7 = dom.createComment("");
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n        ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("br");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","row collapse");
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createElement("p");
        dom.setAttribute(el7,"class","text-center");
        var el8 = dom.createElement("b");
        var el9 = dom.createComment("");
        dom.appendChild(el8, el9);
        dom.appendChild(el7, el8);
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n        ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment(" Kraj dodatog dijela - Igor ");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("br");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("div");
        dom.setAttribute(el5,"class","row collapse");
        var el6 = dom.createTextNode("\n          ");
        dom.appendChild(el5, el6);
        var el6 = dom.createElement("div");
        dom.setAttribute(el6,"class","small-10 small-centered columns");
        var el7 = dom.createTextNode("\n            ");
        dom.appendChild(el6, el7);
        var el7 = dom.createElement("a");
        dom.setAttribute(el7,"href","#");
        dom.setAttribute(el7,"class","large button expand orange-button");
        var el8 = dom.createComment("");
        dom.appendChild(el7, el8);
        dom.appendChild(el6, el7);
        var el7 = dom.createTextNode("\n          ");
        dom.appendChild(el6, el7);
        dom.appendChild(el5, el6);
        var el6 = dom.createTextNode("\n        ");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n      ");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element1 = dom.childAt(fragment, [0]);
        var element2 = dom.childAt(element1, [3, 1, 1]);
        var element3 = dom.childAt(element2, [9]);
        var element4 = dom.childAt(element2, [13]);
        var element5 = dom.childAt(element4, [1]);
        var element6 = dom.childAt(element5, [3]);
        var element7 = dom.childAt(element6, [3, 1]);
        var element8 = dom.childAt(element4, [5]);
        var element9 = dom.childAt(element2, [23, 1, 1]);
        var morphs = new Array(16);
        morphs[0] = dom.createMorphAt(dom.childAt(element1, [1]),1,1);
        morphs[1] = dom.createMorphAt(dom.childAt(element2, [1, 1]),1,1);
        morphs[2] = dom.createMorphAt(dom.childAt(element2, [3, 1]),1,1);
        morphs[3] = dom.createMorphAt(dom.childAt(element2, [5, 1]),1,1);
        morphs[4] = dom.createMorphAt(dom.childAt(element2, [7, 1]),1,1);
        morphs[5] = dom.createMorphAt(dom.childAt(element3, [1]),1,1);
        morphs[6] = dom.createMorphAt(dom.childAt(element3, [3]),1,1);
        morphs[7] = dom.createMorphAt(dom.childAt(element5, [1, 1]),1,1);
        morphs[8] = dom.createMorphAt(dom.childAt(element6, [1]),1,1);
        morphs[9] = dom.createElementMorph(element7);
        morphs[10] = dom.createMorphAt(element8,1,1);
        morphs[11] = dom.createMorphAt(element8,2,2);
        morphs[12] = dom.createMorphAt(dom.childAt(element2, [17, 1, 1, 0]),0,0);
        morphs[13] = dom.createElementMorph(element9);
        morphs[14] = dom.createMorphAt(element9,0,0);
        morphs[15] = dom.createMorphAt(fragment,2,2,contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","unless",[["get","is_user_logged",["loc",[null,[3,14],[3,28]]]]],[],0,null,["loc",[null,[3,4],[5,15]]]],
        ["inline","input",[],["value",["subexpr","@mut",[["get","model.first_name",["loc",[null,[12,26],[12,42]]]]],[],[]],"class","form-control","placeholder",["subexpr","t",["user.firstname"],[],["loc",[null,[12,76],[12,96]]]]],["loc",[null,[12,12],[12,98]]]],
        ["inline","input",[],["value",["subexpr","@mut",[["get","model.last_name",["loc",[null,[17,26],[17,41]]]]],[],[]],"class","form-control","placeholder",["subexpr","t",["user.lastname"],[],["loc",[null,[17,75],[17,94]]]]],["loc",[null,[17,12],[17,96]]]],
        ["inline","input",[],["value",["subexpr","@mut",[["get","model.email",["loc",[null,[22,26],[22,37]]]]],[],[]],"class","form-control","placeholder",["subexpr","t",["user.email"],[],["loc",[null,[22,71],[22,87]]]],"disabled",["subexpr","@mut",[["get","is_user_logged",["loc",[null,[22,97],[22,111]]]]],[],[]]],["loc",[null,[22,12],[22,113]]]],
        ["inline","input",[],["value",["subexpr","@mut",[["get","model.tel_number",["loc",[null,[27,26],[27,42]]]]],[],[]],"class","form-control","placeholder",["subexpr","t",["user.tel_number"],[],["loc",[null,[27,76],[27,97]]]],"disabled",["subexpr","@mut",[["get","is_user_logged",["loc",[null,[27,107],[27,121]]]]],[],[]]],["loc",[null,[27,12],[27,123]]]],
        ["inline","input",[],["value",["subexpr","@mut",[["get","model.account.password",["loc",[null,[32,26],[32,48]]]]],[],[]],"class","form-control","type","password","placeholder",["subexpr","t",["user.password"],[],["loc",[null,[32,98],[32,117]]]]],["loc",[null,[32,12],[32,119]]]],
        ["inline","input",[],["value",["subexpr","@mut",[["get","password_confirm",["loc",[null,[35,26],[35,42]]]]],[],[]],"class","form-control","type","password","placeholder",["subexpr","t",["user.password.confirm"],[],["loc",[null,[35,92],[35,119]]]]],["loc",[null,[35,12],[35,121]]]],
        ["inline","textarea",[],["value",["subexpr","@mut",[["get","new_address_content",["loc",[null,[47,33],[47,52]]]]],[],[]],"placeholder",["subexpr","t",["user.address.insert"],[],["loc",[null,[47,65],[47,90]]]],"rows",3],["loc",[null,[47,16],[47,99]]]],
        ["inline","input",[],["type","text","value",["subexpr","@mut",[["get","new_address_description",["loc",[null,[52,42],[52,65]]]]],[],[]],"placeholder",["subexpr","t",["user.address.mark"],[],["loc",[null,[52,78],[52,101]]]]],["loc",[null,[52,16],[52,103]]]],
        ["element","action",["add_address"],[],["loc",[null,[55,59],[55,83]]]],
        ["block","if",[["get","model.addresses.length",["loc",[null,[61,18],[61,40]]]]],[],1,2,["loc",[null,[61,12],[69,19]]]],
        ["block","each",[["get","model.addresses",["loc",[null,[70,18],[70,33]]]]],[],3,null,["loc",[null,[70,10],[74,19]]]],
        ["content","register_error_message",["loc",[null,[80,38],[80,64]]]],
        ["element","action",["register"],[],["loc",[null,[87,66],[87,87]]]],
        ["inline","t",["user.register"],[],["loc",[null,[87,88],[87,109]]]],
        ["block","unless",[["get","is_user_logged",["loc",[null,[95,10],[95,24]]]]],[],4,null,["loc",[null,[95,0],[111,11]]]]
      ],
      locals: [],
      templates: [child0, child1, child2, child3, child4]
    };
  }()));

});
define('sacekaj-me/templates/schedule', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 23,
              "column": 4
            },
            "end": {
              "line": 25,
              "column": 4
            }
          },
          "moduleName": "sacekaj-me/templates/schedule.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("a");
          dom.setAttribute(el1,"href","#");
          dom.setAttribute(el1,"class","tiny radius button gray-button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element2 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element2);
          morphs[1] = dom.createMorphAt(element2,0,0);
          return morphs;
        },
        statements: [
          ["element","action",["shortcut_address",["get","address",["loc",[null,[24,46],[24,53]]]]],[],["loc",[null,[24,18],[24,55]]]],
          ["content","address.description",["loc",[null,[24,95],[24,118]]]]
        ],
        locals: ["address"],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 33,
              "column": 6
            },
            "end": {
              "line": 35,
              "column": 6
            }
          },
          "moduleName": "sacekaj-me/templates/schedule.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("        ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("option");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element1, 'value');
          morphs[1] = dom.createMorphAt(element1,0,0);
          return morphs;
        },
        statements: [
          ["attribute","value",["get","vehicle_type.id",["loc",[null,[34,24],[34,39]]]]],
          ["content","vehicle_type.label",["loc",[null,[34,42],[34,64]]]]
        ],
        locals: ["vehicle_type"],
        templates: []
      };
    }());
    var child2 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 40,
              "column": 4
            },
            "end": {
              "line": 44,
              "column": 4
            }
          },
          "moduleName": "sacekaj-me/templates/schedule.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("label");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode(":\n      ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n      ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(element0,0,0);
          morphs[1] = dom.createMorphAt(element0,2,2);
          return morphs;
        },
        statements: [
          ["inline","t",["schedule.arrival.time"],[],["loc",[null,[41,13],[41,42]]]],
          ["inline","date-picker",[],["target_value",["subexpr","@mut",[["get","scheduled_date",["loc",[null,[42,33],[42,47]]]]],[],[]]],["loc",[null,[42,6],[42,49]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 59,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/schedule.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createTextNode("    ");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("\n<div class=\"status-row-radio row\">\n  <div class=\"text-center large-6 columns\">\n  ");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n    ");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("\n        https://github.com/Blooie/ember-radio-buttons\n        http://stackoverflow.com/questions/30244040/recording-values-of-radio-buttons-in-ember\n        https://github.com/yapplabs/ember-radio-button\n    ");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("\n    <a href=\"#\" class=\"large secondary button expand\" {{action 'change_schedule_type_now'}}>Sada</a>\n    <a href=\"#\" class=\"large secondary button expand\" {{action 'change_schedule_type_calendar'}}>Kalendar</a>\n\n\n  </div>\n</div>\n  ");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","row");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-10 small-centered columns");
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("br");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","row");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-10 small-centered columns");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("label");
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode(":\n    ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("select");
        dom.setAttribute(el4,"style","width:100%;");
        var el5 = dom.createTextNode("\n");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("    ");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-10 small-centered columns");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("hr");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","paddbott40 row");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","text-center small-10 small-centered columns");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","relative row");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","dugme absolute small-12 columns");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("a");
        dom.setAttribute(el3,"href","#");
        dom.setAttribute(el3,"class","slika");
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element3 = dom.childAt(fragment, [7, 1]);
        var element4 = dom.childAt(fragment, [9]);
        var element5 = dom.childAt(element4, [1, 1]);
        var element6 = dom.childAt(element5, [2]);
        var element7 = dom.childAt(fragment, [13, 1, 1]);
        var morphs = new Array(10);
        morphs[0] = dom.createMorphAt(element3,1,1);
        morphs[1] = dom.createMorphAt(element3,5,5);
        morphs[2] = dom.createMorphAt(element5,0,0);
        morphs[3] = dom.createAttrMorph(element6, 'onchange');
        morphs[4] = dom.createMorphAt(element6,1,1);
        morphs[5] = dom.createMorphAt(dom.childAt(element4, [3]),1,1);
        morphs[6] = dom.createMorphAt(dom.childAt(fragment, [11, 1]),1,1);
        morphs[7] = dom.createElementMorph(element7);
        morphs[8] = dom.createMorphAt(element7,0,0);
        morphs[9] = dom.createMorphAt(fragment,15,15,contextualElement);
        return morphs;
      },
      statements: [
        ["inline","log",[["get","model.addresses",["loc",[null,[21,10],[21,25]]]]],[],["loc",[null,[21,4],[21,27]]]],
        ["block","each",[["get","model.addresses",["loc",[null,[23,12],[23,27]]]]],[],0,null,["loc",[null,[23,4],[25,13]]]],
        ["inline","t",["schedule.vehicle.type"],[],["loc",[null,[31,11],[31,40]]]],
        ["attribute","onchange",["subexpr","action",["vehicle_type_changed"],["value","target.value"],["loc",[null,[32,41],[32,95]]]]],
        ["block","each",[["get","vehicle_types",["loc",[null,[33,14],[33,27]]]]],[],1,null,["loc",[null,[33,6],[35,15]]]],
        ["block","if",[["subexpr","eq",[["get","selectedScheduleType",["loc",[null,[40,14],[40,34]]]],"calendar"],[],["loc",[null,[40,10],[40,46]]]]],[],2,null,["loc",[null,[40,4],[44,11]]]],
        ["inline","textarea",[],["value",["subexpr","@mut",[["get","location_address",["loc",[null,[50,21],[50,37]]]]],[],[]],"rows",5,"placeholder",["subexpr","t",["schedule.address.text"],[],["loc",[null,[50,57],[50,84]]]]],["loc",[null,[50,4],[50,86]]]],
        ["element","action",["place_booking"],[],["loc",[null,[55,30],[55,56]]]],
        ["inline","t",["schedule.order"],[],["loc",[null,[55,57],[55,79]]]],
        ["content","outlet",["loc",[null,[58,0],[58,10]]]]
      ],
      locals: [],
      templates: [child0, child1, child2]
    };
  }()));

});
define('sacekaj-me/templates/settings', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 5,
                "column": 8
              },
              "end": {
                "line": 5,
                "column": 45
              }
            },
            "moduleName": "sacekaj-me/templates/settings.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() { return []; },
          statements: [

          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 4,
              "column": 6
            },
            "end": {
              "line": 6,
              "column": 6
            }
          },
          "moduleName": "sacekaj-me/templates/settings.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("        ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["block","settings-item",[],["setting_item",["subexpr","@mut",[["get","param",["loc",[null,[5,38],[5,43]]]]],[],[]]],0,null,["loc",[null,[5,8],[5,63]]]]
        ],
        locals: ["param"],
        templates: [child0]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 14,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/settings.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","row");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-10 small-centered columns");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("ul");
        dom.setAttribute(el3,"class","accordion");
        dom.setAttribute(el3,"data-accordion","");
        var el4 = dom.createTextNode("\n");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("br");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-10 small-centered columns");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("a");
        dom.setAttribute(el3,"href","#");
        dom.setAttribute(el3,"class","large button expand orange-button");
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(element0, [5, 1]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(dom.childAt(element0, [1, 1]),1,1);
        morphs[1] = dom.createElementMorph(element1);
        morphs[2] = dom.createMorphAt(element1,0,0);
        return morphs;
      },
      statements: [
        ["block","each",[["get","settings.settings",["loc",[null,[4,14],[4,31]]]]],[],0,null,["loc",[null,[4,6],[6,15]]]],
        ["element","action",["save"],[],["loc",[null,[11,58],[11,75]]]],
        ["inline","t",["settings.button.save"],[],["loc",[null,[11,76],[11,104]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('sacekaj-me/templates/status', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 8,
              "column": 0
            },
            "end": {
              "line": 14,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/status.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","row");
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","small-12 columns");
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("h6");
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n  ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0, 1, 1]),0,0);
          return morphs;
        },
        statements: [
          ["inline","t",["status.quotation.click"],[],["loc",[null,[11,8],[11,38]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 16,
                "column": 2
              },
              "end": {
                "line": 16,
                "column": 25
              }
            },
            "moduleName": "sacekaj-me/templates/status.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() { return []; },
          statements: [

          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 15,
              "column": 0
            },
            "end": {
              "line": 17,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/status.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["block","bid-item",[],["model",["subexpr","@mut",[["get","bid",["loc",[null,[16,20],[16,23]]]]],[],[]]],0,null,["loc",[null,[16,2],[16,38]]]]
        ],
        locals: ["bid"],
        templates: [child0]
      };
    }());
    var child2 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 17,
              "column": 0
            },
            "end": {
              "line": 23,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/status.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","row");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","small-12 columns");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("h3");
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1, 1]),0,0);
          return morphs;
        },
        statements: [
          ["inline","t",["status.please.wait"],[],["loc",[null,[20,10],[20,36]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 24,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/status.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("br");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","row");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","small-12 columns");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("h4");
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode(": ");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("br");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [2, 1, 1]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(element0,0,0);
        morphs[1] = dom.createMorphAt(element0,2,2);
        morphs[2] = dom.createMorphAt(fragment,6,6,contextualElement);
        morphs[3] = dom.createMorphAt(fragment,7,7,contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["inline","t",["status.request.time"],[],["loc",[null,[4,8],[4,35]]]],
        ["content","model.formatted_time",["loc",[null,[4,37],[4,61]]]],
        ["block","if",[["get","model.bids.length",["loc",[null,[8,6],[8,23]]]]],[],0,null,["loc",[null,[8,0],[14,7]]]],
        ["block","each",[["get","model.bids",["loc",[null,[15,8],[15,18]]]]],[],1,2,["loc",[null,[15,0],[23,9]]]]
      ],
      locals: [],
      templates: [child0, child1, child2]
    };
  }()));

});
define('sacekaj-me/templates/user/preferences', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 4
                },
                "end": {
                  "line": 7,
                  "column": 4
                }
              },
              "moduleName": "sacekaj-me/templates/user/preferences.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("      ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
              return morphs;
            },
            statements: [
              ["content","item.name",["loc",[null,[6,6],[6,19]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 3,
                "column": 2
              },
              "end": {
                "line": 9,
                "column": 2
              }
            },
            "moduleName": "sacekaj-me/templates/user/preferences.hbs"
          },
          arity: 1,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1,"class","large-2 medium-3 small-4 columns");
            var el2 = dom.createTextNode("\n");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]),1,1);
            return morphs;
          },
          statements: [
            ["block","draggable-object",[],["content",["subexpr","@mut",[["get","item",["loc",[null,[5,32],[5,36]]]]],[],[]],"overrideClass","sortObject","isSortable",true],0,null,["loc",[null,[5,4],[7,25]]]]
          ],
          locals: ["item"],
          templates: [child0]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 10,
              "column": 0
            }
          },
          "moduleName": "sacekaj-me/templates/user/preferences.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","each",[["get","sortableObjectList",["loc",[null,[3,10],[3,28]]]]],[],0,null,["loc",[null,[3,2],[9,11]]]]
        ],
        locals: [],
        templates: [child0]
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 15,
              "column": 4
            },
            "end": {
              "line": 17,
              "column": 4
            }
          },
          "moduleName": "sacekaj-me/templates/user/preferences.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          var el2 = dom.createTextNode("id:");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode(", title:");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createMorphAt(element0,1,1);
          morphs[1] = dom.createMorphAt(element0,3,3);
          return morphs;
        },
        statements: [
          ["content","item.id",["loc",[null,[16,13],[16,24]]]],
          ["content","item.name",["loc",[null,[16,32],[16,45]]]]
        ],
        locals: ["item"],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 21,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/user/preferences.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","row");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","row");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("h3");
        var el3 = dom.createTextNode("Order :");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("ul");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("br");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("br");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]),1,1);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2, 3]),1,1);
        return morphs;
      },
      statements: [
        ["block","sortable-objects",[],["sortableObjectList",["subexpr","@mut",[["get","sortableObjectList",["loc",[null,[2,39],[2,57]]]]],[],[]],"sortEndAction","sortEndAction"],0,null,["loc",[null,[2,0],[10,21]]]],
        ["block","each",[["get","sortableObjectList",["loc",[null,[15,12],[15,30]]]]],[],1,null,["loc",[null,[15,4],[17,13]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('sacekaj-me/templates/user', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "sacekaj-me/templates/user.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["content","outlet",["loc",[null,[1,0],[1,10]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('sacekaj-me/tests/app.jshint', function () {

  'use strict';

  QUnit.module('JSHint - app.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'app.js should pass jshint.');
  });

});
define('sacekaj-me/tests/components/accordion-wrapper.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components/accordion-wrapper.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'components/accordion-wrapper.js should pass jshint.\ncomponents/accordion-wrapper.js: line 10, col 26, Expected \'===\' and instead saw \'==\'.\ncomponents/accordion-wrapper.js: line 23, col 26, Expected \'===\' and instead saw \'==\'.\n\n2 errors');
  });

});
define('sacekaj-me/tests/components/address-item.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components/address-item.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'components/address-item.js should pass jshint.\ncomponents/address-item.js: line 7, col 11, \'current_model\' is defined but never used.\n\n1 error');
  });

});
define('sacekaj-me/tests/components/bid-item.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components/bid-item.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'components/bid-item.js should pass jshint.\ncomponents/bid-item.js: line 18, col 7, \'alertify\' is not defined.\ncomponents/bid-item.js: line 2, col 30, \'t\' is defined but never used.\n\n2 errors');
  });

});
define('sacekaj-me/tests/components/date-picker.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components/date-picker.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'components/date-picker.js should pass jshint.');
  });

});
define('sacekaj-me/tests/components/language-select.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components/language-select.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'components/language-select.js should pass jshint.');
  });

});
define('sacekaj-me/tests/components/radio-button.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components/radio-button.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'components/radio-button.js should pass jshint.');
  });

});
define('sacekaj-me/tests/components/settings-item.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components/settings-item.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'components/settings-item.js should pass jshint.');
  });

});
define('sacekaj-me/tests/controllers/application.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/application.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'controllers/application.js should pass jshint.\ncontrollers/application.js: line 25, col 11, \'login_page\' is defined but never used.\n\n1 error');
  });

});
define('sacekaj-me/tests/controllers/login.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/login.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'controllers/login.js should pass jshint.\ncontrollers/login.js: line 26, col 18, \'customer\' is defined but never used.\ncontrollers/login.js: line 92, col 18, \'error\' is defined but never used.\ncontrollers/login.js: line 110, col 10, Missing semicolon.\ncontrollers/login.js: line 112, col 20, \'customer\' is defined but never used.\ncontrollers/login.js: line 183, col 20, \'error\' is defined but never used.\ncontrollers/login.js: line 222, col 18, \'err\' is defined but never used.\ncontrollers/login.js: line 6, col 1, \'device\' is defined but never used.\n\n7 errors');
  });

});
define('sacekaj-me/tests/controllers/register.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/register.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'controllers/register.js should pass jshint.\ncontrollers/register.js: line 39, col 50, Expected \'===\' and instead saw \'==\'.\ncontrollers/register.js: line 44, col 22, \'data\' is defined but never used.\ncontrollers/register.js: line 51, col 22, \'error\' is defined but never used.\ncontrollers/register.js: line 61, col 53, Expected \'===\' and instead saw \'==\'.\ncontrollers/register.js: line 78, col 16, \'data\' is defined but never used.\ncontrollers/register.js: line 79, col 9, \'self\' is not defined.\ncontrollers/register.js: line 79, col 43, \'self\' is not defined.\ncontrollers/register.js: line 83, col 9, \'self\' is not defined.\n\n8 errors');
  });

});
define('sacekaj-me/tests/controllers/schedule.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/schedule.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'controllers/schedule.js should pass jshint.\ncontrollers/schedule.js: line 16, col 7, Duplicate key \'i18n\'.\ncontrollers/schedule.js: line 26, col 6, Missing semicolon.\ncontrollers/schedule.js: line 58, col 40, Expected \'===\' and instead saw \'==\'.\ncontrollers/schedule.js: line 78, col 53, Missing semicolon.\ncontrollers/schedule.js: line 60, col 9, \'alertify\' is not defined.\n\n5 errors');
  });

});
define('sacekaj-me/tests/controllers/settings.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/settings.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'controllers/settings.js should pass jshint.\ncontrollers/settings.js: line 11, col 11, \'alertify\' is not defined.\ncontrollers/settings.js: line 25, col 11, \'alertify\' is not defined.\n\n2 errors');
  });

});
define('sacekaj-me/tests/controllers/status.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/status.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/status.js should pass jshint.');
  });

});
define('sacekaj-me/tests/controllers/user/preferences.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/user/preferences.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'controllers/user/preferences.js should pass jshint.\ncontrollers/user/preferences.js: line 2, col 8, \'User\' is defined but never used.\n\n1 error');
  });

});
define('sacekaj-me/tests/controllers/user.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/user.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/user.js should pass jshint.');
  });

});
define('sacekaj-me/tests/helpers/ember-i18n/test-helpers', ['ember'], function (Ember) {

  'use strict';

  Ember['default'].Test.registerHelper('t', function (app, key, interpolations) {
    var i18n = app.__container__.lookup('service:i18n');
    return i18n.t(key, interpolations);
  });

  // example usage: expectTranslation('.header', 'welcome_message');
  Ember['default'].Test.registerHelper('expectTranslation', function (app, element, key, interpolations) {
    var text = app.testHelpers.t(key, interpolations);

    assertTranslation(element, key, text);
  });

  var assertTranslation = (function () {
    if (typeof QUnit !== 'undefined' && typeof ok === 'function') {
      return function (element, key, text) {
        ok(find(element + ':contains(' + text + ')').length, 'Found translation key ' + key + ' in ' + element);
      };
    } else if (typeof expect === 'function') {
      return function (element, key, text) {
        var found = !!find(element + ':contains(' + text + ')').length;
        expect(found).to.equal(true);
      };
    } else {
      return function () {
        throw new Error("ember-i18n could not find a compatible test framework");
      };
    }
  })();

});
define('sacekaj-me/tests/helpers/is-equal.jshint', function () {

  'use strict';

  QUnit.module('JSHint - helpers/is-equal.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/is-equal.js should pass jshint.');
  });

});
define('sacekaj-me/tests/helpers/resolver', ['exports', 'ember/resolver', 'sacekaj-me/config/environment'], function (exports, Resolver, config) {

  'use strict';

  var resolver = Resolver['default'].create();

  resolver.namespace = {
    modulePrefix: config['default'].modulePrefix,
    podModulePrefix: config['default'].podModulePrefix
  };

  exports['default'] = resolver;

});
define('sacekaj-me/tests/helpers/resolver.jshint', function () {

  'use strict';

  QUnit.module('JSHint - helpers/resolver.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/resolver.js should pass jshint.');
  });

});
define('sacekaj-me/tests/helpers/start-app', ['exports', 'ember', 'sacekaj-me/app', 'sacekaj-me/config/environment'], function (exports, Ember, Application, config) {

  'use strict';



  exports['default'] = startApp;
  function startApp(attrs) {
    var application;

    var attributes = Ember['default'].merge({}, config['default'].APP);
    attributes = Ember['default'].merge(attributes, attrs); // use defaults, but you can override;

    Ember['default'].run(function () {
      application = Application['default'].create(attributes);
      application.setupForTesting();
      application.injectTestHelpers();
    });

    return application;
  }

});
define('sacekaj-me/tests/helpers/start-app.jshint', function () {

  'use strict';

  QUnit.module('JSHint - helpers/start-app.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/start-app.js should pass jshint.');
  });

});
define('sacekaj-me/tests/initializers/ajax_calls.jshint', function () {

  'use strict';

  QUnit.module('JSHint - initializers/ajax_calls.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'initializers/ajax_calls.js should pass jshint.');
  });

});
define('sacekaj-me/tests/initializers/foundation-config.jshint', function () {

  'use strict';

  QUnit.module('JSHint - initializers/foundation-config.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'initializers/foundation-config.js should pass jshint.');
  });

});
define('sacekaj-me/tests/integration/components/accordion-wrapper-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('accordion-wrapper', 'Integration | Component | accordion wrapper', {
    integration: true
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 21
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'accordion-wrapper', ['loc', [null, [1, 0], [1, 21]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');

    // Template block usage:
    this.render(Ember.HTMLBars.template((function () {
      var child0 = (function () {
        return {
          meta: {
            'revision': 'Ember@1.13.7',
            'loc': {
              'source': null,
              'start': {
                'line': 2,
                'column': 4
              },
              'end': {
                'line': 4,
                'column': 4
              }
            }
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode('      template block text\n');
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();

      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 5,
              'column': 2
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['block', 'accordion-wrapper', [], [], 0, null, ['loc', [null, [2, 4], [4, 26]]]]],
        locals: [],
        templates: [child0]
      };
    })()));

    assert.equal(this.$().text().trim(), 'template block text');
  });

});
define('sacekaj-me/tests/integration/components/accordion-wrapper-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - integration/components/accordion-wrapper-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/accordion-wrapper-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/integration/components/address-item-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('address-item', 'Integration | Component | address item', {
    integration: true
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 16
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'address-item', ['loc', [null, [1, 0], [1, 16]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');

    // Template block usage:
    this.render(Ember.HTMLBars.template((function () {
      var child0 = (function () {
        return {
          meta: {
            'revision': 'Ember@1.13.7',
            'loc': {
              'source': null,
              'start': {
                'line': 2,
                'column': 4
              },
              'end': {
                'line': 4,
                'column': 4
              }
            }
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode('      template block text\n');
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();

      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 5,
              'column': 2
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['block', 'address-item', [], [], 0, null, ['loc', [null, [2, 4], [4, 21]]]]],
        locals: [],
        templates: [child0]
      };
    })()));

    assert.equal(this.$().text().trim(), 'template block text');
  });

});
define('sacekaj-me/tests/integration/components/address-item-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - integration/components/address-item-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/address-item-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/integration/components/bid-item-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('bid-item', 'Integration | Component | bid item', {
    integration: true
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 12
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'bid-item', ['loc', [null, [1, 0], [1, 12]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');

    // Template block usage:
    this.render(Ember.HTMLBars.template((function () {
      var child0 = (function () {
        return {
          meta: {
            'revision': 'Ember@1.13.7',
            'loc': {
              'source': null,
              'start': {
                'line': 2,
                'column': 4
              },
              'end': {
                'line': 4,
                'column': 4
              }
            }
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode('      template block text\n');
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();

      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 5,
              'column': 2
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['block', 'bid-item', [], [], 0, null, ['loc', [null, [2, 4], [4, 17]]]]],
        locals: [],
        templates: [child0]
      };
    })()));

    assert.equal(this.$().text().trim(), 'template block text');
  });

});
define('sacekaj-me/tests/integration/components/bid-item-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - integration/components/bid-item-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/bid-item-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/integration/components/date-picker-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('date-picker', 'Integration | Component | date picker', {
    integration: true
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 15
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'date-picker', ['loc', [null, [1, 0], [1, 15]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');

    // Template block usage:
    this.render(Ember.HTMLBars.template((function () {
      var child0 = (function () {
        return {
          meta: {
            'revision': 'Ember@1.13.7',
            'loc': {
              'source': null,
              'start': {
                'line': 2,
                'column': 4
              },
              'end': {
                'line': 4,
                'column': 4
              }
            }
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode('      template block text\n');
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();

      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 5,
              'column': 2
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['block', 'date-picker', [], [], 0, null, ['loc', [null, [2, 4], [4, 20]]]]],
        locals: [],
        templates: [child0]
      };
    })()));

    assert.equal(this.$().text().trim(), 'template block text');
  });

});
define('sacekaj-me/tests/integration/components/date-picker-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - integration/components/date-picker-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/date-picker-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/integration/components/language-select-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('language-select', 'Integration | Component | language select', {
    integration: true
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 19
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'language-select', ['loc', [null, [1, 0], [1, 19]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');

    // Template block usage:
    this.render(Ember.HTMLBars.template((function () {
      var child0 = (function () {
        return {
          meta: {
            'revision': 'Ember@1.13.7',
            'loc': {
              'source': null,
              'start': {
                'line': 2,
                'column': 4
              },
              'end': {
                'line': 4,
                'column': 4
              }
            }
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode('      template block text\n');
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();

      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 5,
              'column': 2
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['block', 'language-select', [], [], 0, null, ['loc', [null, [2, 4], [4, 24]]]]],
        locals: [],
        templates: [child0]
      };
    })()));

    assert.equal(this.$().text().trim(), 'template block text');
  });

});
define('sacekaj-me/tests/integration/components/language-select-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - integration/components/language-select-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/language-select-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/integration/components/radio-button-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('radio-button', 'Integration | Component | radio button', {
    integration: true
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 16
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'radio-button', ['loc', [null, [1, 0], [1, 16]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');

    // Template block usage:
    this.render(Ember.HTMLBars.template((function () {
      var child0 = (function () {
        return {
          meta: {
            'revision': 'Ember@1.13.7',
            'loc': {
              'source': null,
              'start': {
                'line': 2,
                'column': 4
              },
              'end': {
                'line': 4,
                'column': 4
              }
            }
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode('      template block text\n');
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();

      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 5,
              'column': 2
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['block', 'radio-button', [], [], 0, null, ['loc', [null, [2, 4], [4, 21]]]]],
        locals: [],
        templates: [child0]
      };
    })()));

    assert.equal(this.$().text().trim(), 'template block text');
  });

});
define('sacekaj-me/tests/integration/components/radio-button-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - integration/components/radio-button-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/radio-button-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/integration/components/settings-item-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('settings-item', 'Integration | Component | settings item', {
    integration: true
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 17
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'settings-item', ['loc', [null, [1, 0], [1, 17]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');

    // Template block usage:
    this.render(Ember.HTMLBars.template((function () {
      var child0 = (function () {
        return {
          meta: {
            'revision': 'Ember@1.13.7',
            'loc': {
              'source': null,
              'start': {
                'line': 2,
                'column': 4
              },
              'end': {
                'line': 4,
                'column': 4
              }
            }
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode('      template block text\n');
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();

      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 5,
              'column': 2
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['block', 'settings-item', [], [], 0, null, ['loc', [null, [2, 4], [4, 22]]]]],
        locals: [],
        templates: [child0]
      };
    })()));

    assert.equal(this.$().text().trim(), 'template block text');
  });

});
define('sacekaj-me/tests/integration/components/settings-item-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - integration/components/settings-item-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/settings-item-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/en/config.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/en/config.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/en/config.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/en/translations.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/en/translations.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/en/translations.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/hr/config.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/hr/config.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/hr/config.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/hr/translations.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/hr/translations.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/hr/translations.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/me/config.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/me/config.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/me/config.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/me/translations.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/me/translations.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/me/translations.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/sr-cyr/config.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/sr-cyr/config.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/sr-cyr/config.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/sr-cyr/translations.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/sr-cyr/translations.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/sr-cyr/translations.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/sr-lat/config.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/sr-lat/config.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/sr-lat/config.js should pass jshint.');
  });

});
define('sacekaj-me/tests/locales/sr-lat/translations.jshint', function () {

  'use strict';

  QUnit.module('JSHint - locales/sr-lat/translations.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'locales/sr-lat/translations.js should pass jshint.');
  });

});
define('sacekaj-me/tests/models/base-model.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models/base-model.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'models/base-model.js should pass jshint.');
  });

});
define('sacekaj-me/tests/models/bid.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models/bid.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'models/bid.js should pass jshint.\nmodels/bid.js: line 59, col 6, Missing semicolon.\nmodels/bid.js: line 8, col 14, \'moment\' is not defined.\nmodels/bid.js: line 52, col 28, \'moment\' is not defined.\nmodels/bid.js: line 1, col 8, \'Ember\' is defined but never used.\nmodels/bid.js: line 3, col 8, \'config\' is defined but never used.\n\n5 errors');
  });

});
define('sacekaj-me/tests/models/booking.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models/booking.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'models/booking.js should pass jshint.\nmodels/booking.js: line 30, col 28, Expected \'===\' and instead saw \'==\'.\nmodels/booking.js: line 30, col 33, \'moment\' is not defined.\nmodels/booking.js: line 65, col 29, \'moment\' is not defined.\nmodels/booking.js: line 44, col 11, \'alertify\' is not defined.\n\n4 errors');
  });

});
define('sacekaj-me/tests/models/customer.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models/customer.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'models/customer.js should pass jshint.\nmodels/customer.js: line 35, col 6, Missing semicolon.\nmodels/customer.js: line 67, col 23, \'id\' is defined but never used.\nmodels/customer.js: line 69, col 62, \'provider_id\' is not defined.\n\n3 errors');
  });

});
define('sacekaj-me/tests/models/scheduled-ride.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models/scheduled-ride.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'models/scheduled-ride.js should pass jshint.');
  });

});
define('sacekaj-me/tests/models/user.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models/user.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'models/user.js should pass jshint.\nmodels/user.js: line 18, col 9, \'self\' is defined but never used.\nmodels/user.js: line 19, col 9, \'rest_method\' is defined but never used.\nmodels/user.js: line 20, col 9, \'rest_endpoint\' is defined but never used.\nmodels/user.js: line 91, col 9, \'self\' is defined but never used.\n\n4 errors');
  });

});
define('sacekaj-me/tests/models/ws-communicator.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models/ws-communicator.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'models/ws-communicator.js should pass jshint.\nmodels/ws-communicator.js: line 30, col 43, Missing semicolon.\nmodels/ws-communicator.js: line 90, col 11, \'booking_id\' is defined but never used.\nmodels/ws-communicator.js: line 95, col 36, Missing semicolon.\nmodels/ws-communicator.js: line 143, col 50, Missing semicolon.\nmodels/ws-communicator.js: line 146, col 7, Missing semicolon.\nmodels/ws-communicator.js: line 151, col 9, \'msg_str\' is defined but never used.\nmodels/ws-communicator.js: line 155, col 40, Missing semicolon.\n\n7 errors');
  });

});
define('sacekaj-me/tests/router.jshint', function () {

  'use strict';

  QUnit.module('JSHint - router.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'router.js should pass jshint.');
  });

});
define('sacekaj-me/tests/routes/advertisement.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/advertisement.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'routes/advertisement.js should pass jshint.');
  });

});
define('sacekaj-me/tests/routes/application.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/application.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'routes/application.js should pass jshint.');
  });

});
define('sacekaj-me/tests/routes/history.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/history.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'routes/history.js should pass jshint.');
  });

});
define('sacekaj-me/tests/routes/index.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/index.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'routes/index.js should pass jshint.');
  });

});
define('sacekaj-me/tests/routes/register.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/register.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'routes/register.js should pass jshint.\nroutes/register.js: line 7, col 56, Missing semicolon.\nroutes/register.js: line 5, col 40, \'model\' is defined but never used.\n\n2 errors');
  });

});
define('sacekaj-me/tests/routes/schedule.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/schedule.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'routes/schedule.js should pass jshint.\nroutes/schedule.js: line 3, col 8, \'Booking\' is defined but never used.\n\n1 error');
  });

});
define('sacekaj-me/tests/routes/settings.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/settings.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'routes/settings.js should pass jshint.');
  });

});
define('sacekaj-me/tests/routes/status.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/status.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'routes/status.js should pass jshint.\nroutes/status.js: line 11, col 11, \'current_booking\' is defined but never used.\n\n1 error');
  });

});
define('sacekaj-me/tests/routes/user/preferences.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/user/preferences.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'routes/user/preferences.js should pass jshint.');
  });

});
define('sacekaj-me/tests/routes/user.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/user.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'routes/user.js should pass jshint.');
  });

});
define('sacekaj-me/tests/services/geolocation.jshint', function () {

  'use strict';

  QUnit.module('JSHint - services/geolocation.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'services/geolocation.js should pass jshint.\nservices/geolocation.js: line 24, col 128, Missing semicolon.\nservices/geolocation.js: line 11, col 52, \'reject\' is defined but never used.\n\n2 errors');
  });

});
define('sacekaj-me/tests/services/settings.jshint', function () {

  'use strict';

  QUnit.module('JSHint - services/settings.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(false, 'services/settings.js should pass jshint.\nservices/settings.js: line 57, col 89, Expected \'===\' and instead saw \'==\'.\nservices/settings.js: line 111, col 27, Expected \'===\' and instead saw \'==\'.\nservices/settings.js: line 135, col 22, Missing semicolon.\n\n3 errors');
  });

});
define('sacekaj-me/tests/test-helper', ['sacekaj-me/tests/helpers/resolver', 'ember-qunit'], function (resolver, ember_qunit) {

	'use strict';

	ember_qunit.setResolver(resolver['default']);

});
define('sacekaj-me/tests/test-helper.jshint', function () {

  'use strict';

  QUnit.module('JSHint - test-helper.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'test-helper.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/controllers/application-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:application', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('sacekaj-me/tests/unit/controllers/application-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers/application-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/application-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/controllers/login-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:login', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('sacekaj-me/tests/unit/controllers/login-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers/login-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/login-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/controllers/register-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:register', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('sacekaj-me/tests/unit/controllers/register-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers/register-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/register-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/controllers/schedule-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:schedule', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('sacekaj-me/tests/unit/controllers/schedule-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers/schedule-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/schedule-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/controllers/settings-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:settings', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('sacekaj-me/tests/unit/controllers/settings-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers/settings-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/settings-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/controllers/status-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:status', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('sacekaj-me/tests/unit/controllers/status-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers/status-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/status-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/controllers/user/preferences-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:user/preferences', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('sacekaj-me/tests/unit/controllers/user/preferences-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers/user/preferences-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/user/preferences-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/controllers/user-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:user', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('sacekaj-me/tests/unit/controllers/user-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers/user-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/user-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/helpers/is-equal-test', ['sacekaj-me/helpers/is-equal', 'qunit'], function (is_equal, qunit) {

  'use strict';

  qunit.module('Unit | Helper | is equal');

  // Replace this with your real tests.
  qunit.test('it works', function (assert) {
    var result = is_equal.isEqual(42);
    assert.ok(result);
  });

});
define('sacekaj-me/tests/unit/helpers/is-equal-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/helpers/is-equal-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/helpers/is-equal-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/initializers/cordova-test', ['ember', 'sacekaj-me/initializers/cordova', 'qunit'], function (Ember, cordova, qunit) {

  'use strict';

  var registry, application;

  qunit.module('Unit | Initializer | cordova', {
    beforeEach: function beforeEach() {
      Ember['default'].run(function () {
        application = Ember['default'].Application.create();
        registry = application.registry;
        application.deferReadiness();
      });
    }
  });

  // Replace this with your real tests.
  qunit.test('it works', function (assert) {
    cordova.initialize(registry, application);

    // you would normally confirm the results of the initializer here
    assert.ok(true);
  });

});
define('sacekaj-me/tests/unit/initializers/cordova-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/initializers/cordova-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/initializers/cordova-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/initializers/facebook-sdk-test', ['ember', 'sacekaj-me/initializers/facebook-sdk', 'qunit'], function (Ember, facebook_sdk, qunit) {

  'use strict';

  var registry, application;

  qunit.module('Unit | Initializer | facebook sdk', {
    beforeEach: function beforeEach() {
      Ember['default'].run(function () {
        application = Ember['default'].Application.create();
        registry = application.registry;
        application.deferReadiness();
      });
    }
  });

  // Replace this with your real tests.
  qunit.test('it works', function (assert) {
    facebook_sdk.initialize(registry, application);

    // you would normally confirm the results of the initializer here
    assert.ok(true);
  });

});
define('sacekaj-me/tests/unit/initializers/facebook-sdk-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/initializers/facebook-sdk-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/initializers/facebook-sdk-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/initializers/foundation-config-test', ['ember', 'sacekaj-me/initializers/foundation-config', 'qunit'], function (Ember, foundation_config, qunit) {

  'use strict';

  var registry, application;

  qunit.module('Unit | Initializer | foundation config', {
    beforeEach: function beforeEach() {
      Ember['default'].run(function () {
        application = Ember['default'].Application.create();
        registry = application.registry;
        application.deferReadiness();
      });
    }
  });

  // Replace this with your real tests.
  qunit.test('it works', function (assert) {
    foundation_config.initialize(registry, application);

    // you would normally confirm the results of the initializer here
    assert.ok(true);
  });

});
define('sacekaj-me/tests/unit/initializers/foundation-config-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/initializers/foundation-config-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/initializers/foundation-config-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/models/base-model-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForModel('base-model', 'Unit | Model | base model', {
    // Specify the other units that are required for this test.
    needs: []
  });

  ember_qunit.test('it exists', function (assert) {
    var model = this.subject();
    // var store = this.store();
    assert.ok(!!model);
  });

});
define('sacekaj-me/tests/unit/models/base-model-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/models/base-model-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/models/base-model-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/models/provider-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForModel('provider', 'Unit | Model | provider', {
    // Specify the other units that are required for this test.
    needs: []
  });

  ember_qunit.test('it exists', function (assert) {
    var model = this.subject();
    // var store = this.store();
    assert.ok(!!model);
  });

});
define('sacekaj-me/tests/unit/models/provider-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/models/provider-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/models/provider-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/models/scheduled-ride-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForModel('scheduled-ride', 'Unit | Model | scheduled ride', {
    // Specify the other units that are required for this test.
    needs: []
  });

  ember_qunit.test('it exists', function (assert) {
    var model = this.subject();
    // var store = this.store();
    assert.ok(!!model);
  });

});
define('sacekaj-me/tests/unit/models/scheduled-ride-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/models/scheduled-ride-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/models/scheduled-ride-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/models/user-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForModel('user', 'Unit | Model | user', {
    // Specify the other units that are required for this test.
    needs: []
  });

  ember_qunit.test('it exists', function (assert) {
    var model = this.subject();
    // var store = this.store();
    assert.ok(!!model);
  });

});
define('sacekaj-me/tests/unit/models/user-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/models/user-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/models/user-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/advertisement-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:advertisement', 'Unit | Route | advertisement', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/advertisement-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/advertisement-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/advertisement-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/application-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:application', 'Unit | Route | application', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/application-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/application-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/application-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/history-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:history', 'Unit | Route | history', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/history-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/history-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/history-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/index-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:index', 'Unit | Route | index', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/index-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/index-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/index-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/register-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:register', 'Unit | Route | register', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/register-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/register-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/register-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/schedule-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:schedule', 'Unit | Route | schedule', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/schedule-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/schedule-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/schedule-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/settings-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:settings', 'Unit | Route | settings', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/settings-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/settings-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/settings-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/status-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:status', 'Unit | Route | status', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/status-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/status-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/status-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/user/preferences-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:user/preferences', 'Unit | Route | user/preferences', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/user/preferences-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/user/preferences-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/user/preferences-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/routes/user-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:user', 'Unit | Route | user', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('sacekaj-me/tests/unit/routes/user-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes/user-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/user-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/services/geolocation-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('service:geolocation', 'Unit | Service | geolocation', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });

});
define('sacekaj-me/tests/unit/services/geolocation-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/services/geolocation-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/geolocation-test.js should pass jshint.');
  });

});
define('sacekaj-me/tests/unit/services/settings-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('service:settings', 'Unit | Service | settings', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });

});
define('sacekaj-me/tests/unit/services/settings-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/services/settings-test.js');
  QUnit.test('should pass jshint', function(assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/settings-test.js should pass jshint.');
  });

});
define('sacekaj-me/utils/i18n/compile-template', ['exports', 'ember-i18n/utils/i18n/compile-template'], function (exports, compile_template) {

	'use strict';



	exports['default'] = compile_template['default'];

});
define('sacekaj-me/utils/i18n/missing-message', ['exports', 'ember-i18n/utils/i18n/missing-message'], function (exports, missing_message) {

	'use strict';



	exports['default'] = missing_message['default'];

});
/* jshint ignore:start */

/* jshint ignore:end */

/* jshint ignore:start */

define('sacekaj-me/config/environment', ['ember'], function(Ember) {
  var prefix = 'sacekaj-me';
/* jshint ignore:start */

try {
  var metaName = prefix + '/config/environment';
  var rawConfig = Ember['default'].$('meta[name="' + metaName + '"]').attr('content');
  var config = JSON.parse(unescape(rawConfig));

  return { 'default': config };
}
catch(err) {
  throw new Error('Could not read config from meta tag with name "' + metaName + '".');
}

/* jshint ignore:end */

});

if (runningTests) {
  require("sacekaj-me/tests/test-helper");
} else {
  require("sacekaj-me/app")["default"].create({"name":"sacekaj-me","version":"0.0.0+87e1c5dc"});
}

/* jshint ignore:end */
//# sourceMappingURL=sacekaj-me.map